#
# spec file for package plasma5-workspace
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global __requires_exclude qmlimport\\((org\\.kde\\.plasma\\.private|org\\.kde\\.private\\.kcm|org\\.kde\\.plasma\\.kcm|LocaleListModel|FingerprintModel|kcmregionandlang).*

#Compat macro for new _fillupdir macro introduced in Nov 2017
%{!?_fillupdir: %global _fillupdir %{_localstatedir}/adm/fillup-templates}

%define kf5_version 5.98.0

%bcond_without released
Name:           plasma5-workspace
%global _plasma5_bugfix 5.27.4
# Full Plasma 5 version (e.g. 5.9.1)
%{!?_plasma5_bugfix: %global _plasma5_bugfix %{version}}
# Latest ABI-stable Plasma (e.g. 5.8 in KF5, but 5.9.1 in KUF)
%{!?_plasma5_version: %define _plasma5_version %(echo %{_plasma5_bugfix} | awk -F. '{print $1"."$2}')}
Version:        5.27.4.1
Release:        bp155.1.7
Summary:        The KDE Plasma Workspace Components
License:        GPL-2.0-or-later
Group:          System/GUI/KDE
URL:            http://www.kde.org/
Source:         https://download.kde.org/stable/plasma/5.27.4/plasma-workspace-%{version}.tar.xz
%if %{with released}
Source1:        https://download.kde.org/stable/plasma/5.27.4/plasma-workspace-%{version}.tar.xz.sig
Source2:        plasma.keyring
%endif
Source3:        xprop-kde-full-session.desktop
# PATCHES 501-??? are PATCH-FIX-OPENSUSE
Patch501:       0001-Use-qdbus-qt5.patch
Patch502:       0001-Ignore-default-sddm-face-icons.patch
# PATCH-FEATURE-OPENSUSE
Patch506:       0001-Revert-No-icons-on-the-desktop-by-default.patch
BuildRequires:  breeze5-icons
BuildRequires:  fdupes
%if 0%{?suse_version} < 1550
BuildRequires:  gcc10-PIE
BuildRequires:  gcc10-c++
%endif
BuildRequires:  kf5-filesystem
BuildRequires:  libQt5Gui-private-headers-devel
BuildRequires:  libQt5PlatformHeaders-devel >= 5.4.0
BuildRequires:  libicu-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  cmake(AppStreamQt) >= 0.10.4
BuildRequires:  cmake(Breeze) >= %{_plasma5_bugfix}
BuildRequires:  cmake(KDED) >= %{kf5_version}
BuildRequires:  cmake(KF5Activities) >= %{kf5_version}
BuildRequires:  cmake(KF5ActivitiesStats) >= %{kf5_version}
BuildRequires:  cmake(KF5Baloo)
BuildRequires:  cmake(KF5CoreAddons) >= %{kf5_version}
BuildRequires:  cmake(KF5Crash) >= %{kf5_version}
BuildRequires:  cmake(KF5DBusAddons) >= %{kf5_version}
BuildRequires:  cmake(KF5Declarative) >= %{kf5_version}
BuildRequires:  cmake(KF5DocTools) >= %{kf5_version}
BuildRequires:  cmake(KF5GlobalAccel) >= %{kf5_version}
BuildRequires:  cmake(KF5Holidays)
BuildRequires:  cmake(KF5I18n) >= %{kf5_version}
BuildRequires:  cmake(KF5IdleTime) >= %{kf5_version}
BuildRequires:  cmake(KF5KCMUtils) >= %{kf5_version}
BuildRequires:  cmake(KF5KDELibs4Support) >= %{kf5_version}
BuildRequires:  cmake(KF5KExiv2)
BuildRequires:  cmake(KF5NetworkManagerQt) >= %{kf5_version}
BuildRequires:  cmake(KF5NewStuff) >= %{kf5_version}
BuildRequires:  cmake(KF5NotifyConfig) >= %{kf5_version}
BuildRequires:  cmake(KF5Package) >= %{kf5_version}
BuildRequires:  cmake(KF5People) >= %{kf5_version}
BuildRequires:  cmake(KF5Plasma) >= %{kf5_version}
BuildRequires:  cmake(KF5PlasmaQuick)
BuildRequires:  cmake(KF5Prison) >= %{kf5_version}
BuildRequires:  cmake(KF5Runner) >= %{kf5_version}
BuildRequires:  cmake(KF5Screen) >= 5.0.93
BuildRequires:  cmake(KF5Solid) >= %{kf5_version}
BuildRequires:  cmake(KF5Su) >= %{kf5_version}
BuildRequires:  cmake(KF5SysGuard) >= %{_plasma5_version}
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5TextWidgets) >= %{kf5_version}
BuildRequires:  cmake(KF5Wallet) >= %{kf5_version}
BuildRequires:  cmake(KF5Wayland) >= %{kf5_version}
BuildRequires:  cmake(KF5XmlRpcClient)
BuildRequires:  cmake(KPipeWire)
BuildRequires:  cmake(KScreenLocker) >= %{_plasma5_version}
# Disabled until upstream complies with the KDE policies
#BuildRequires:  cmake(KUserFeedback)
BuildRequires:  cmake(Phonon4Qt5) >= 4.6.60
BuildRequires:  cmake(PlasmaWaylandProtocols) >= 1.1.0
#!BuildIgnore:  kdialog
BuildRequires:  cmake(KWinDBusInterface) >= %{_plasma5_version}
BuildRequires:  cmake(LayerShellQt)
BuildRequires:  cmake(PolkitQt5-1)
BuildRequires:  cmake(Qt5Concurrent) >= 5.4.0
BuildRequires:  cmake(Qt5DBus) >= 5.4.0
BuildRequires:  cmake(Qt5Gui) >= 5.4.0
BuildRequires:  cmake(Qt5Network) >= 5.4.0
BuildRequires:  cmake(Qt5Qml) >= 5.4.0
BuildRequires:  cmake(Qt5Quick) >= 5.4.0
BuildRequires:  cmake(Qt5QuickWidgets) >= 5.4.0
BuildRequires:  cmake(Qt5Script) >= 5.4.0
BuildRequires:  cmake(Qt5Sql) >= 5.4.0
BuildRequires:  cmake(Qt5Svg) >= 5.4.0
BuildRequires:  cmake(Qt5Test) >= 5.4.0
BuildRequires:  cmake(Qt5WaylandClient)
BuildRequires:  cmake(Qt5Widgets) >= 5.4.0
BuildRequires:  cmake(Qt5X11Extras) >= 5.4.0
BuildRequires:  cmake(ScreenSaverDBusInterface) >= %{_plasma5_version}
BuildRequires:  cmake(dbusmenu-qt5)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libgps)
%if 0%{?suse_version} > 1500 || 0%{?sle_version} >= 150200
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libpipewire-0.3)
%endif
BuildRequires:  pkgconfig(libqalculate)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(wayland-client) >= 1.15
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-composite)
BuildRequires:  pkgconfig(xcb-damage)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xcb-shm)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(zlib)
Requires:       %{name}-libs = %{version}-%{release}
# Needed for kcm_users
Requires:       accountsservice
# contains default style, cursors, etc
Requires:       breeze >= %{_plasma5_version}
# battery applet
Requires:       drkonqi5 >= %{_plasma5_version}
# dialog/platformtheme/etc
Requires:       frameworkintegration-plugin
Requires:       kactivitymanagerd
# used within startup
Requires:       kde-cli-tools5 >= %{_plasma5_version}
Requires:       kded
Requires:       kdelibs4support
Requires:       kglobalaccel5 >= %{_plasma5_version}
Requires:       kinit
Requires:       kquickcharts
Requires:       kscreen5 >= %{_plasma5_version}
Requires:       kscreenlocker >= %{_plasma5_version}
Requires:       kwin5 >= %{_plasma5_version}
Requires:       libkscreen2-plugin >= %{_plasma5_version}
Requires:       libqt5-qdbus
Requires:       libqt5-qtpaths
# heavily used by plasma
Requires:       libqt5-qtquickcontrols
# needed by krunner
Requires:       milou5 >= %{_plasma5_version}
# boo#912317
Requires:       gmenudbusmenuproxy >= %{_plasma5_version}
Recommends:     oxygen5-sounds >= %{_plasma5_version}
Requires:       solid-imports
# Used by KCMs
Requires:       knewstuff-imports
# Used by system monitoring applets
Requires:       ksystemstats5
# Used by the user feedback KCM
Requires:       kuserfeedback-imports
Requires:       xembedsniproxy >= %{_plasma5_version}
# startkde and startplasma call these
Requires:       awk
Requires:       xrdb
Requires:       xsetroot
# Used by Source3: xprop-kde-full-session.desktop
Requires:       xprop
# hardcode versions of plasma-framework-components and plasma-framework-private packages, as upstream doesn't keep backwards compability there
%requires_ge    plasma-framework-components
%requires_ge    plasma-framework
# Called by the free space notifier
Recommends:     filelight
Recommends:     kio-extras5
# The lockscreen has a button to open a virtual keyboard
Recommends:     libqt5-qtvirtualkeyboard
# notifications...
Recommends:     phonon4qt5-backend
# people should be able to adjust desktop
Recommends:     systemsettings5
Conflicts:      kdebase4-workspace < 5.3.0
# Some files have been moved from kio-extras5 to plasma5-workspace in 5.4. This should prevent a possible file conflict. (boo#944656)
Conflicts:      kio-extras5 < 15.08.0
# plasmashell implements the dbus interface org.freedesktop.Notifications directly
Provides:       %{name}-branding = %{_plasma5_bugfix}
Provides:       %{name}-branding-upstream = %{version}
Provides:       dbus(org.freedesktop.Notifications)
Obsoletes:      %{name}-branding-upstream < %{version}
Provides:       qt5qmlimport(org.kde.plasma.shell.2) = 0
# Was dropped in 5.20, replaced by kcm_users from p-d
Provides:       kde-user-manager = %{version}
Obsoletes:      kde-user-manager < %{version}
Obsoletes:      kde-user-manager-lang < %{version}
# Existed in KDE:Unstable:Frameworks for a short time
Provides:       %{name}-zsh-completion = %{version}
Obsoletes:      %{name}-zsh-completion < %{version}

%description
This package contains the basic packages for a Plasma workspace.

%package libs
Summary:        The KDE Plasma Workspace Components
Group:          Development/Libraries/KDE
%requires_ge    kio
%requires_ge    kservice
%requires_ge    libKF5Activities5
%requires_ge    libKF5CoreAddons5
%requires_ge    libKF5I18n5
%requires_ge    libKF5WindowSystem5
%requires_ge    libQt5Core5
%requires_ge    libQt5DBus5
%requires_ge    libQt5Gui5
%requires_ge    libQt5Widgets5
%requires_ge    libQt5X11Extras5
%requires_ge    libksysguard5
%requires_ge    plasma-framework

%description libs
This package contains the basic packages for a KDE Plasma 5 workspace.

%package -n xembedsniproxy
Summary:        XEmbed SNI Proxy
Group:          System/GUI/KDE
Provides:       xembed-sni-proxy = %{version}
Obsoletes:      xembed-sni-proxy < %{version}

%description -n xembedsniproxy
This package provides a proxy translating XEmbed for SNI trays.
Can also be used by standalone tray apps.

%package -n gmenudbusmenuproxy
Summary:        GMenu to DBusMenu Proxy
Group:          System/GUI/KDE
Recommends:     (appmenu-gtk2-module if libgtk-2_0-0)
Recommends:     (appmenu-gtk3-module if libgtk-3-0)
# If installed, it force-enables itself which can cause issues
Conflicts:      unity-gtk-module-common

%description -n gmenudbusmenuproxy
This package provides a proxy translating GMenu (GTK Menu) to DBusMenu (the
standard), useful for global menu implementations.

%package devel
Summary:        The KDE Plasma Workspace Components
Group:          Development/Libraries/KDE
Requires:       %{name}-libs = %{version}-%{release}
Requires:       cmake(KF5SysGuard) >= %{_plasma5_version}
Requires:       cmake(KF5Wayland) >= %{kf5_version}
Requires:       cmake(Qt5Core) >= 5.4.0
Requires:       cmake(Qt5Gui) >= 5.4.0
Requires:       cmake(Qt5Quick) >= 5.4.0
Conflicts:      kapptemplate <= 16.03.80
Conflicts:      kdebase4-workspace-devel
Provides:       plasma-workspace5-devel = %{version}
Obsoletes:      plasma-workspace5-devel < %{version}

%description devel
This package contains the basic packages for a KDE Plasma 5 workspace.
Development files.

%package -n plasma5-session
Summary:        KDE Plasma 5 X11 Session
Group:          System/GUI/KDE
Requires:       breeze >= %{_plasma5_bugfix}
Requires:       breeze5-decoration >= %{_plasma5_bugfix}
Requires:       khotkeys5 >= %{_plasma5_bugfix}
Requires:       kwin5 >= %{_plasma5_bugfix}
Requires:       libkscreen2-plugin >= %{_plasma5_bugfix}
Requires:       plasma5-desktop >= %{_plasma5_bugfix}
Requires:       plasma5-workspace >= %{_plasma5_bugfix}
Requires:       polkit-kde-agent-5 >= %{_plasma5_bugfix}
Requires:       powerdevil5 >= %{_plasma5_bugfix}
Requires:       systemsettings5 >= %{_plasma5_bugfix}
Requires(post): update-alternatives
Requires(postun):update-alternatives
Requires(pre):  %{_bindir}/cut
Requires(pre):  %{_bindir}/grep
Requires(pre):  %{_bindir}/sed
# Pulls in NetworkManager, some don't use it
Recommends:     plasma-nm5 >= %{_plasma5_bugfix}
# needed for displaying the handbooks of KDE applications in a Plasma5 session (boo#980068)
Recommends:     khelpcenter5
Provides:       kdebase4-session = %{version}
Obsoletes:      kdebase4-session < %{version}
BuildArch:      noarch

%description -n plasma5-session
This package contains the startup scripts necessary to start a KDE
Plasma 5 session with X11 from a display manager.

%package -n plasma5-session-wayland
Summary:        KDE Plasma 5 Wayland Session
Group:          System/GUI/KDE
Requires:       kwayland-integration >= %{_plasma5_bugfix}
Requires:       libqt5-qtwayland
Requires:       plasma5-session >= %{version}
Requires:       xf86-input-libinput
Requires:       xorg-x11-server-wayland
# For screen sharing and window thumbnails in plasmashell
Requires:       pipewire

%description -n plasma5-session-wayland
This package contains the startup scripts necessary to start a KDE
Plasma 5 session with Wayland from a display manager.

%lang_package

%prep
%autosetup -p1 -n plasma-workspace-%{version}

%build
%if 0%{?suse_version} < 1550
  export CXX=g++-10
%endif
%cmake_kf5 -d build -- -DKDE_DEFAULT_HOME=.kde4 -DCMAKE_INSTALL_LOCALEDIR=%{_kf5_localedir} -DGLIBC_LOCALE_GENERATED=TRUE -DGLIBC_LOCALE_GEN=OFF
%cmake_build

%install
%kf5_makeinstall -C build

%{kf5_find_lang}
%{kf5_find_htmldocs}

%suse_update_desktop_file -r %{buildroot}%{_kf5_applicationsdir}/org.kde.klipper.desktop System TrayIcon
mkdir -p %{buildroot}%{_kf5_iconsdir}/hicolor/48x48/apps/
cp %{_kf5_iconsdir}/breeze/apps/48/klipper.svg %{buildroot}%{_kf5_iconsdir}/hicolor/48x48/apps/

# Copy the icon for org.kde.kcolorschemeeditor.desktop
mkdir -p %{buildroot}%{_kf5_iconsdir}/hicolor/32x32/apps/
cp %{_kf5_iconsdir}/breeze/preferences/32/preferences-desktop-color.svg %{buildroot}%{_kf5_iconsdir}/hicolor/32x32/apps/

# Rename upstream session file to oS location
mv %{buildroot}%{_kf5_sharedir}/xsessions/{plasma,plasma5}.desktop

# Install compatibility symlink
ln -s %{_kf5_sharedir}/xsessions/plasma5.desktop %{buildroot}%{_kf5_sharedir}/xsessions/kde-plasma.desktop

mkdir -p %{buildroot}%{_sysconfdir}/alternatives
touch %{buildroot}%{_sysconfdir}/alternatives/default-xsession.desktop
ln -s %{_sysconfdir}/alternatives/default-xsession.desktop %{buildroot}%{_datadir}/xsessions/default.desktop

install -m0644 %{SOURCE3} %{buildroot}%{_kf5_configdir}/autostart/xprop-kde-full-session.desktop

%fdupes %{buildroot}/%{_prefix}

%post
/sbin/ldconfig
%{systemd_user_post plasma-gmenudbusmenuproxy.service plasma-kcminit-phase1.service plasma-kcminit.service \
	plasma-krunner.service plasma-ksmserver.service plasma-ksplash-ready.service plasma-plasmashell.service \
	plasma-xembedsniproxy.service plasma-baloorunner.service plasma-restoresession.service plasma-ksplash.service}

%preun
%{systemd_user_preun plasma-gmenudbusmenuproxy.service plasma-kcminit-phase1.service plasma-kcminit.service \
	plasma-krunner.service plasma-ksmserver.service plasma-ksplash-ready.service plasma-plasmashell.service \
	plasma-xembedsniproxy.service plasma-baloorunner.service plasma-restoresession.service plasma-ksplash.service}

%postun
/sbin/ldconfig
%{systemd_user_postun plasma-gmenudbusmenuproxy.service plasma-kcminit-phase1.service plasma-kcminit.service \
	plasma-krunner.service plasma-ksmserver.service plasma-ksplash-ready.service plasma-plasmashell.service \
	plasma-xembedsniproxy.service plasma-baloorunner.service plasma-restoresession.service plasma-ksplash.service}

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%post -n plasma5-session
# Reset the DEFAULT_WM value for KDE upgrade compatibility
if [ -f %{_sysconfdir}/sysconfig/windowmanager ]; then
    OLD_DEFAULTWM=`grep "DEFAULT_WM" %{_sysconfdir}/sysconfig/windowmanager | cut -d '=' -f 2 | cut -d '"' -f 2`
fi

if [ -f %{_fillupdir}/sysconfig.windowmanager ]; then
    TEMPLATE_DEFAULTWM=`grep "DEFAULT_WM" %{_fillupdir}/sysconfig.windowmanager | cut -d '=' -f 2 | cut -d '"' -f 2`
fi

# Check the old DEFAULT_WM and whether current DEFAULT_WM exists
if [ "$OLD_DEFAULTWM" = "startkde4" ] || [ "$OLD_DEFAULTWM" = "startkde" ] || [ "$OLD_DEFAULTWM" = "kde4" ]; then
    if [ -n "$TEMPLATE_DEFAULTWM" ] && [ "$OLD_DEFAULTWM" != "$TEMPLATE_DEFAULTWM" ]; then
        sed -i -e "s/^DEFAULT_WM=['\"]\?kde.*/DEFAULT_WM=\"${TEMPLATE_DEFAULTWM}\"/g" %{_sysconfdir}/sysconfig/windowmanager
    fi
fi

%{_sbindir}/update-alternatives --install %{_datadir}/xsessions/default.desktop \
  default-xsession.desktop %{_datadir}/xsessions/plasma5.desktop 25

%postun -n plasma5-session
[ -f %{_datadir}/xsessions/plasma5.desktop ] || %{_sbindir}/update-alternatives \
  --remove default-xsession.desktop %{_datadir}/xsessions/plasma5.desktop

%files libs
%license LICENSES/*
%{_kf5_libdir}/libkworkspace5.so.*
%{_kf5_libdir}/libplasma-geolocation-interface.so.*
%{_kf5_libdir}/libtaskmanager.so.*
%{_kf5_libdir}/libweather_ion.so.*
%{_kf5_libdir}/libcolorcorrect.so.*
%{_kf5_libdir}/libnotificationmanager.so.*
%{_kf5_libdir}/libkrdb.so

%files
%license LICENSES/*
%{_kf5_applicationsdir}/org.kde.kcolorschemeeditor.desktop
%{_kf5_applicationsdir}/org.kde.kfontview.desktop
%{_kf5_applicationsdir}/kcm_autostart.desktop
%{_kf5_applicationsdir}/kcm_colors.desktop
%{_kf5_applicationsdir}/kcm_cursortheme.desktop
%{_kf5_applicationsdir}/kcm_fontinst.desktop
%{_kf5_applicationsdir}/kcm_fonts.desktop
%{_kf5_applicationsdir}/kcm_icons.desktop
%{_kf5_applicationsdir}/kcm_lookandfeel.desktop
%{_kf5_applicationsdir}/kcm_nightcolor.desktop
%{_kf5_applicationsdir}/kcm_notifications.desktop
%{_kf5_applicationsdir}/kcm_regionandlang.desktop
%{_kf5_applicationsdir}/kcm_style.desktop
%{_kf5_applicationsdir}/kcm_users.desktop
%{_kf5_bindir}/kcminit
%{_kf5_bindir}/kcminit_startup
%{_kf5_bindir}/kfontinst
%{_kf5_bindir}/kfontview
%{_kf5_bindir}/klipper
%{_kf5_bindir}/krunner
%{_kf5_bindir}/ksmserver
%{_kf5_bindir}/ksplashqml
%{_kf5_bindir}/plasmashell
%{_kf5_bindir}/plasma-interactiveconsole
%{_kf5_bindir}/plasmawindowed
%{_kf5_bindir}/systemmonitor
%{_kf5_bindir}/plasma_waitforname
%{_kf5_bindir}/plasma_session
%{_kf5_bindir}/startplasma-wayland
%{_kf5_bindir}/startplasma-x11
%{_kf5_bindir}/plasma-shutdown
%{_kf5_bindir}/kde-systemd-start-condition
%{_kf5_bindir}/lookandfeeltool
%{_kf5_bindir}/kcolorschemeeditor
%{_kf5_bindir}/plasma-apply-colorscheme
%{_kf5_bindir}/plasma-apply-cursortheme
%{_kf5_bindir}/plasma-apply-desktoptheme
%{_kf5_bindir}/plasma-apply-lookandfeel
%{_kf5_bindir}/plasma-apply-wallpaperimage
%{_kf5_configdir}/autostart/org.kde.plasmashell.desktop
%{_kf5_configdir}/autostart/klipper.desktop
%{_kf5_configdir}/autostart/xprop-kde-full-session.desktop
%{_kf5_configkcfgdir}/
%{_kf5_knsrcfilesdir}/colorschemes.knsrc
%{_kf5_knsrcfilesdir}/gtk_themes.knsrc
%{_kf5_knsrcfilesdir}/kfontinst.knsrc
%{_kf5_knsrcfilesdir}/icons.knsrc
%{_kf5_knsrcfilesdir}/lookandfeel.knsrc
%{_kf5_knsrcfilesdir}/plasma-themes.knsrc
%{_kf5_knsrcfilesdir}/plasmoids.knsrc
%{_kf5_knsrcfilesdir}/wallpaper.knsrc
%{_kf5_knsrcfilesdir}/wallpaperplugin.knsrc
%{_kf5_knsrcfilesdir}/wallpaper-mobile.knsrc
%{_kf5_knsrcfilesdir}/xcursor.knsrc

%config %{_kf5_configdir}/taskmanagerrulesrc
%config %{_kf5_configdir}/plasmanotifyrc
%{_libexecdir}/ksmserver-logout-greeter
%{_libexecdir}/plasma-changeicons
%{_libexecdir}/baloorunner
%{_libexecdir}/plasma-sourceenv.sh
%{_libexecdir}/plasma-dbus-run-session-if-needed
%{_kf5_libdir}/kconf_update_bin/krunnerglobalshortcuts
%{_kf5_libdir}/kconf_update_bin/krunnerhistory
%{_kf5_libdir}/kconf_update_bin/plasmashell-5.27-use-panel-thickness-in-default-group
%{_kf5_plugindir}/
%{_kf5_qmldir}/
%{_kf5_applicationsdir}/org.kde.klipper.desktop
%{_kf5_applicationsdir}/org.kde.plasmashell.desktop
%{_kf5_applicationsdir}/org.kde.systemmonitor.desktop
%{_kf5_applicationsdir}/org.kde.plasmawindowed.desktop
%{_kf5_configkcfgdir}/freespacenotifier.kcfg
%{_kf5_configkcfgdir}/iconssettingsbase.kcfg
# %%{_kf5_configkcfgdir}/feedbacksettings.kcfg
%dir %{_kf5_sharedir}/krunner/
%dir %{_kf5_sharedir}/krunner/dbusplugins/
%{_kf5_sharedir}/kpackage/
%{_kf5_sharedir}/kfontinst/
%{_kf5_sharedir}/kxmlgui5/
%{_kf5_sharedir}/dbus-1/services/org.kde.fontinst.service
%{_kf5_sharedir}/dbus-1/system-services/org.kde.fontinst.service
%{_kf5_sharedir}/dbus-1/services/org.kde.LogoutPrompt.service
%{_kf5_sharedir}/dbus-1/services/org.kde.krunner.service
%{_kf5_sharedir}/dbus-1/services/org.kde.plasma.Notifications.service
%{_kf5_sharedir}/dbus-1/services/org.kde.KSplash.service
%{_kf5_sharedir}/dbus-1/services/org.kde.Shutdown.service
%{_kf5_sharedir}/dbus-1/services/org.kde.runners.baloo.service
%{_kf5_sharedir}/dbus-1/system.d/org.kde.fontinst.conf
%{_kf5_sharedir}/desktop-directories/
%{_kf5_sharedir}/kconf_update/
%{_kf5_sharedir}/polkit-1/actions/org.kde.fontinst.policy
%{_kf5_sharedir}/krunner/dbusplugins/plasma-runner-baloosearch.desktop
%{_kf5_sharedir}/konqsidebartng/

%dir %{_kf5_htmldir}
%dir %lang(en) %{_kf5_htmldir}/en
%doc %lang(en) %{_kf5_htmldir}/en/klipper/
%doc %lang(en) %{_kf5_htmldir}/en/kcontrol/
%doc %lang(en) %{_kf5_htmldir}/en/PolicyKit-kde/
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_plasmashell

%{_kf5_notifydir}/
%{_kf5_servicesdir}/
%{_kf5_servicetypesdir}/
%dir %{_kf5_sharedir}/kglobalaccel
%dir %{_kf5_sharedir}/kio
%dir %{_kf5_sharedir}/kio/servicemenus
%{_kf5_sharedir}/kglobalaccel/org.kde.krunner.desktop
%{_kf5_sharedir}/kstyle/
%{_kf5_plasmadir}/
%{_kf5_sharedir}/solid/
%{_kf5_sharedir}/kio_desktop/
%{_kf5_sharedir}/kio/servicemenus/setaswallpaper.desktop
%{_kf5_iconsdir}/hicolor/32x32/apps/preferences-desktop-color.svg
%{_kf5_iconsdir}/hicolor/48x48/apps/klipper.svg
%{_kf5_iconsdir}/hicolor/*/mimetypes/fonts-package.png
%{_kf5_iconsdir}/hicolor/*/apps/kfontview.png
%{_kf5_iconsdir}/hicolor/scalable/apps/preferences-desktop-font-installer.svgz

%{_kf5_appstreamdir}/
%dir %{_kf5_sharedir}/sddm
%dir %{_kf5_sharedir}/sddm/themes
%{_kf5_sharedir}/sddm/themes/breeze/
%{_kf5_debugdir}/*.categories
%dir %{_kf5_sharedir}/kpackage
%dir %{_kf5_sharedir}/kpackage/kcms
# %%{_kf5_sharedir}/kpackage/kcms/kcm_feedback
%{_kf5_sharedir}/kpackage/kcms/kcm_desktoptheme
%dir %{_libexecdir}/kauth
%{_libexecdir}/kauth/fontinst
%{_libexecdir}/kauth/fontinst_helper
%{_libexecdir}/kauth/fontinst_x11
%{_libexecdir}/kfontprint
%exclude %{_kf5_libdir}/libkfontinst.so
%{_kf5_libdir}/libkfontinst.so.*
%exclude %{_kf5_libdir}/libkfontinstui.so
%{_kf5_libdir}/libkfontinstui.so.*

%{_userunitdir}/plasma-gmenudbusmenuproxy.service
%{_userunitdir}/plasma-kcminit-phase1.service
%{_userunitdir}/plasma-kcminit.service
%{_userunitdir}/plasma-krunner.service
%{_userunitdir}/plasma-ksmserver.service
%{_userunitdir}/plasma-ksplash.service
%{_userunitdir}/plasma-ksplash-ready.service
%{_userunitdir}/plasma-plasmashell.service
%{_userunitdir}/plasma-restoresession.service
%{_userunitdir}/plasma-baloorunner.service
%{_userunitdir}/plasma-core.target
%{_userunitdir}/plasma-workspace.target
%{_userunitdir}/plasma-workspace-{wayland,x11}.target
%{_userunitdir}/plasma-xembedsniproxy.service

%files -n xembedsniproxy
%license LICENSES/*
%{_kf5_bindir}/xembedsniproxy
%{_kf5_configdir}/autostart/xembedsniproxy.desktop

%files -n gmenudbusmenuproxy
%license LICENSES/*
%{_kf5_bindir}/gmenudbusmenuproxy
%{_kf5_configdir}/autostart/gmenudbusmenuproxy.desktop

%files devel
%license LICENSES/*
%{_kf5_prefix}/include/kworkspace5/
%{_kf5_prefix}/include/plasma/
%{_kf5_prefix}/include/taskmanager/
%{_kf5_prefix}/include/notificationmanager/
%{_kf5_prefix}/include/colorcorrect/
%{_kf5_libdir}/cmake/KRunnerAppDBusInterface/
%{_kf5_libdir}/cmake/KSMServerDBusInterface/
%{_kf5_libdir}/cmake/LibKWorkspace/
%{_kf5_libdir}/cmake/LibTaskManager/
%{_kf5_libdir}/cmake/LibColorCorrect/
%{_kf5_libdir}/cmake/LibNotificationManager/
%{_kf5_libdir}/libkworkspace5.so
%{_kf5_libdir}/libplasma-geolocation-interface.so
%{_kf5_libdir}/libtaskmanager.so
%{_kf5_libdir}/libweather_ion.so
%{_kf5_libdir}/libcolorcorrect.so
%{_kf5_libdir}/libnotificationmanager.so
%{_kf5_sharedir}/dbus-1/interfaces/

%files -n plasma5-session
%license LICENSES/*
%{_kf5_sharedir}/xsessions/plasma5.desktop
%{_kf5_sharedir}/xsessions/kde-plasma.desktop
%ghost %{_sysconfdir}/alternatives/default-xsession.desktop
%{_kf5_sharedir}/xsessions/default.desktop

%files -n plasma5-session-wayland
%license LICENSES/*
%dir %{_datadir}/wayland-sessions/
%{_datadir}/wayland-sessions/plasmawayland.desktop

%files lang -f %{name}.lang

%changelog
* Tue Apr 11 2023 Fabian Vogt <fabian@ritter-vogt.de>
- Recommend filelight (boo#1210331)
* Tue Apr  4 2023 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.27.4.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.27.4
- Changes since 5.27.3:
  * applets/systemtray: press and hold to open context menu for plasmoids
  * applets/digital-clock: reload timezone after saving in Datetime KCM (kde#467494)
  * components/keyboardlayout: Fix forced activation of vkbd
  * Create directory before installing session-local
  * applets/systemtray: fix menu key not working in SNI
  * Find PkgConfig before first call to pkg_check_modules
  * sddm-theme: Populate keyboard layouts menu only on first show
  * [dashboard] Skip task switcher
  * klipper: test bug 465225
  * systemtraytest: take screenshot only when test fails
  * kcms/nightcolor: fix timing strings with narrow window widths
  * libtaskmanager: simplify `test_openCloseWindow`
* Tue Mar 14 2023 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.27.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.27.3
- Changes since 5.27.2:
  * klipper: remove duplicate items when loading from history (kde#466236)
  * kcms/region_language: set LC_PAPER, not LC_PAGE (kde#467269)
  * Screenpool: avoid uniqueConnection with lambda
  * kcms/fonts: Enable change notifications for base fonts settings (forceFontDPI)
  * sddm-theme: Transfer the focus to the text field as we show the OSK (kde#466969)
  * appstreamtest: fix test failure
  * wallpapers/image: improve efficiency of ImageFinder
  * klipper: Make action menu Frameless (kde#466406)
  * dataengines/mpris2: tolerate non-standards compliant players like mpris-proxy (kde#466288)
  * klipper: History test passes now
  * klipper: Insert items before remove (kde#466041)
  * sddm: Focus something useful when switching between alternative login screens
* Tue Feb 28 2023 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.27.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.27.2
- Changes since 5.27.1:
  * applets/systemtray: add test for xembed tray icon
  * libtaskmanager: consider current activity when computing first task index
  * libtaskmanager: test invalid preferred launchers are filtered out
  * libtaskmanager: use icon name directly when icon value does not contain period
  * kcms/users: Fallback to show username in title when real name isn't set
  * kcms/users: Limit connection scope to `this`
  * Add an action to remove the containments of a screen
  * libtaskmanager: filter out invalid preferred launcher tasks (kde#436667)
  * shell: Have the DesktopView::title include which output it should be on
  * kcms/color: Add highlight outline for color dots (kde#465800)
  * Lock screen: Prevent Escape key from displaying UI if it's currently hidden (kde#465920)
* Tue Feb 21 2023 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.27.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.27.1
- Changes since 5.27.0:
  * sddm-wayland-session: Disable global shortcuts
  * kcms/users: Port Connections to modern syntax
  * Better screen removal handling (kde#465892)
  * applets/digital-clock: fix logic error in tooltip (kde#465873)
  * Fix search for DWD weather data engine
  * applets/mediacontroller: add test for interacting with MPRIS2 interface
  * kcms/region_language: Down highlight delegate on press
  * If the desktopview is not deleted, don'r emit screenRemoved (kde#465536)
  * set LANG if we have language to glibc locale mapping (kde#464983)
  * plasmacalendarintegration: Omit astronomical events from Holidays data (kde#465539)
  * shell: read thickness from default group
  * use KDE_INSTALL_LIBEXECDIR
* Mon Feb 13 2023 Fabian Vogt <fabian@ritter-vogt.de>
- Tarball got respun. Changes:
  * klipper: store QImage and construct QPixmap only when necessary (kde#465225, kde#465326, kde#464828, kde#465603)
  * shell: Ensure containments that belong to the current activity are not deleted prior to loading
* Thu Feb  9 2023 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.27.0
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.27.0
- Too many changes to list here
* Thu Jan 19 2023 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.26.90
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.26.90
- Too many changes to list here
* Wed Jan  4 2023 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.26.5
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.26.5
- Changes since 5.26.4:
  * Fix time input bug caused by "or" in regex (kde#415028)
  * wallpapers/image: fix finding the real symlink target (kde#461940)
  * applets/systemtray: Fix copy-paste mistake (double assignment to width)
  * Fix building screenpooltest
  * Panel: Add floating margins to avoid overflowing content when floating (kde#462130)
  * find in system's path and sudo's path (kde#462127)
  * kcms/region_language: set fix scrolling in language sheet (kde#462057)
  * Revert "shell: Use the basic scene graph rendering loop on wayland"
  * Revert "shell: Don't force basic render loop for Plasma Mobile"
* Tue Nov 29 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.26.4.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.26.4
- Changes since 5.26.3:
  * Do not query all available image plugins when determining background type (kde#462308)
  * Install translated documentation from po/ too
  * Panel: Revert making the mask smaller by 1px (kde#460896)
  * Remove negative inset of plasmoid heading in notifications since there's no margin in those (kde#452347)
  * lockscreen: Consider info messages to be prompts (kde#454706)
  * Fix wrong example values, return correct paper size value
  * wallpapers/image: save last wallpaper in slideshow mode (kde#461490)
  * SystemDialog: Fix display when there is no component
  * applets/notifications: unload ListView when plasmoid is not expanded
  * applets/mediacontroller: avoid flashing application icon (kde#461496)
  * SystemDialog: Make sure the window has a Qt.Window type
  * Notifications: Explicitly uncheck paused button when switching to running state
  * shell: revert unrelated changes in d79a927a4c7a8b489b985a6ae94bd9d8f082db93
  * [shell] Always call load after init (kde#439159)
  * applets/notifications: remove one unused import
  * applets/notifications: remove workaround for QTBUG-67007
  * startkde/plasma-session: fix playing startup sound
* Sat Nov 12 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update the build constraints
* Tue Nov  8 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.26.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.26.3
- Changes since 5.26.2:
  * Notifications: Use String "0" for null percent
  * Revert apples/kicker: fix timer in triangular mouse filter (kde#461395)
  * runners/services: Do not parse exec of flatpaks (kde#461241)
  * kcms/regionandlanguage: convert ASCII unicode symbol to QChar (kde#460704)
  * startplasma-wayland: Don't set GDK_SCALE and GDK_DPI_SCALE (kde#443215)
  * runners/services: Do not match exec values of PWAs (kde#460796)
  * runners/servicerunner: increase match type when query exactly matches service name (kde#459516)
  * runners/recentdocuments: more fine-grained relevance and type assignment
  * runners/baloo: increase match type when query exactly matches file name
  * runners/locations: decrease match type when not a known existing file
  * wallpapers/image: always try to remove a path in `ImageBackend::removeSlidePath` (kde#461003)
* Wed Oct 26 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.26.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.26.2
- Changes since 5.26.1:
  * Revert "applets/notifications: allow screen reader to read notification body in FullRepresentation" (kde#460895)
  * runners/kill: Fix config group name mismatch (kde#460899)
  * [kcms/kcm_regionandlanguage] fix config not saved after clicking 'defaults' and 'save' (kde#460842)
  * disable automatic portal launching early on (kde#458865)
  * wallpapers/image: disable animated wallpaper on X11
  * wallpapers/image: fall back to default wallpaper when url is empty (kde#460692)
  * systemtray: Avoid dbus calls after exit (kde#460814)
  * Save layout immediately after a resolution change triggered relayout
  * Remove unnecessary heuristic relayout function call
  * Use KeySequenceItem.captureFinished to notify a binding has been entered (kde#459322)
* Tue Oct 18 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.26.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.26.1
- Changes since 5.26.0:
  * fix is default locale check (kde#460418)
  * remove excess pages before pushing new pages
  * [applets/diskanddevices] Add xdg-activation support to device ations (kde#460268)
  * krdb: do not crash on file system problems
  * Make the panel's corner mask 1px smaller to avoid artifacts at the corners (kde#417511)
  * Handle multiple desktop files with different StartupWMClass (kde#358277)
  * Add scaling and rotation support to a blur behind desktop plasmoids
  * wallpapers/image: fix potential dead loop in PackageFinder
  * wallpapers/image: fix potential dead loop in ImageFinder
  * wallpapers/image: fix symlink not being found by ImageFinder (kde#460287)
  * Revert "wallpapers/image: Fix when used outside plasmashell"
  * wallpapers/image: Fix when used outside plasmashell
  * If an app is playing media but hasn't provided a title, say as much instead of "No media playing" (kde#456516)
  * wallpapers/image: reset `scale` to 1 to work around QTBUG-107458
  * wallpapers/image: reduce the maximum allowed cost of QCache
  * wallpapers/image: fix side-by-side previews sometimes not showing
  * wallpapers/image: reduce preview cache insertion for single images
* Mon Oct 17 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Use appmenu-gtk-module instead of unity-gtk-module on Leap 15.2+
  (boo#1108846)
* Thu Oct  6 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.26.0
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.26.0
- Too many changes to list here
* Thu Sep 15 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.25.90
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.25.90
- Too many changes to list here
- Drop patches, now upstream:
  * 0001-widgetexplorer-Don-t-recurse-into-applet-s-containme.patch
- Refresh patches:
  * 0001-Ignore-default-sddm-face-icons.patch
  * 0001-Revert-No-icons-on-the-desktop-by-default.patch
  * 0001-Use-qdbus-qt5.patch
* Thu Sep  8 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix widget explorer crash (kde#458829):
  * 0001-widgetexplorer-Don-t-recurse-into-applet-s-containme.patch
* Tue Sep  6 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.25.5
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.25.5
- Changes since 5.25.4:
  * kcms/users: don't let "Choose File…" text overflow (kde#458614)
  * [kcms/style] Fix setting to default and apply button enablement
  * kcms/users : Fix focus for new user input (kde#458377)
  * kcms/nightcolor: fix checks for manual timing errors
  * [kcms/style] Consider GTK theme setting when computing default state (kde#458292)
  * applets/kicker: fix app icon loading logic to better handle relative paths (kde#457965)
  * kcminit: Allow running modules by their name
  * Take the pluginId from the kpackage metadata (kde#457657)
  * applets/notifications: Fix displaying header progress indicator on different DPI (kde#435004)
  * [panelview] Avoid assert if max < min (kde#454064)
  * ScreenPool: Ensure that primaryScreenChanged is emitted always after screenAdded
  * [libtaskmanager] Fix null check for window (kde#456094,kde#457690)
  * lookandfeelmanager: Write colors before color scheme (kde#421745)
  * Fix appstream runner results appearing before apps/kcms (kde#457600)
  * [dataengines/weather/dwd] Check if jobs failed
  * [dataengines/weather/dwd] Properly detect empty reply (kde#457606)
  * applets/clipboard: press Ctrl+S to save in the edit page
  * applets/appmenu: do not update menu when panel gets focus (kde#455520)
  * Fix systemmonitor preferences being reset (kde#454004)
  * KRunner: Set location before showing (kde#447096)
* Tue Aug  2 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.25.4
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.25.4
- Changes since 5.25.3:
  * wallpaper/slideshow: shouldn't display "current" item in image list (kde#457327)
  * Disable toplevel fixed positions on Wayland
  * runners/helprunner: Fix launching of plasmasearch kcm with args
  * [kicker/kickoff] Fix urls for search results (kde#456984)
  * applets/icon: fix invalid `Accessible.description`
  * applets/devicenotifier: improve accessible properties
  * applets/batterymonitor: add accessible properties to slider
  * [FIX] Unable to remove manually added wallpaper (kde#457019)
  * kcms/colors: make sure the preview uses the right colours (kde#456648)
  * Don't break configuration when saving layouts
  * [Notifications] When there is no thumbnail available, use file icon as drag pixmap
  * [Notifications] Ignore stopped job in job aggregator
  * [applet/{analog,digital}-clock] Use `onPressed: wasExpanded = ...` idiom
  * Fix non-functional lockscreen due to bad cherry-pick (kde#456639)
- Drop patches, now upstream:
  * 0001-Fix-non-functional-lockscreen-due-to-bad-cherry-pick.patch
* Tue Jul 12 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix the lock screen (kde#456639):
  * 0001-Fix-non-functional-lockscreen-due-to-bad-cherry-pick.patch
* Tue Jul 12 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.25.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.25.3
- Changes since 5.25.2:
  * Guard against cursor theme changing in animation timer (kde#456526)
  * Fix "PanelSpacer::containmentGraphicObject()" plasmashell segfault (kde#450663)
  * Fix StatusNotifierItem MidClick (kde#456466)
  * kcms/lookandfeel: Set all defaults when saving the default package (kde#456275)
  * kcms/colors: Properly apply tinting to the window titlebar (kde#455395,kde#454047)
  * [kcms/icons] Pass parent window to ksycoca progress dialog
  * applets/kicker: Get rid of a separator just above title menu item (kde#449132)
  * Fix password field in lock screen not clearing after failed login attempt (kde#455227)
* Tue Jun 28 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.25.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.25.2
- Changes since 5.25.1:
  * shell: avoid crash after waking up from sleep (kde#455328)
  * Revert "Prevent panel going out of screen boundaries"
  * shell: refresh geometries of all `DesktopView` and `PanelView` when receiving `logicalDotsPerInchChanged` (kde#450443,kde#438114)
  * Avoid crash in plasma-session teardown (kde#454159)
  * kcms/colors: Fix window titlebar tinting in colorsapplicator (kde#455395)
  * kcms/feedback: Properly fit the items inside the layout (kde#455713)
  * Fix session restore + kwin interaction race (kde#442380)
- Drop patches, now upstream:
  * 0001-shell-refresh-geometries-of-all-DesktopView-and-Pane.patch
* Tue Jun 28 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Also use xprop-kde-full-session.desktop with systemd startup
* Tue Jun 21 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.25.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.25.1
- Changes since 5.25.0:
  * Fix checkbox not switching when choosing an accent color using color picker
  * kcms/fonts: Fix font hinting preview (kde#413673)
  * colorsapplicator: make accent-coloured titlebars more robust/foolproof
  * Klipper (classic widget): Fix a system tray menu memory leak
  * shell/scripting: call `flushPendingConstraintsEvents` in `setLocation`
  * Fix missing index validity check for cursortheme (kde#454829)
  * [KSystemActivityDialog] Fix loading default settings (kde#454566)
  * kcms/colors: Fix alternateBackgroundColor for Button not having accents
  * kcms/colors: Ensure that accent color dots always fit on narrow screens
* Thu Jun  9 2022 Fusion Future <qydwhotmail@gmail.com>
- Add patch to fix a multiscreen bug when PLASMA_USE_QT_SCALING=1
  (kde#450443, https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1781)
  * 0001-shell-refresh-geometries-of-all-DesktopView-and-Pane.patch
* Thu Jun  9 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.25.0
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.25.0
- Too many changes to list here
- Drop patches, now upstream:
  * 0001-startkde-Reload-systemd-on-Plasma-start.patch
* Tue Jun  7 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix opensuse-welcome autostart disabling:
  * 0001-startkde-Reload-systemd-on-Plasma-start.patch
* Thu May 19 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.24.90
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.24.90
- Too many changes to list here
- Drop patches, now upstream:
  * 0001-applets-appmenu-fix-top-level-menu-text-coloration.patch
  * 0001-kcms-desktoptheme-find-metadata.json-when-loading-Th.patch
* Wed May 18 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix appmenu text with certain themes (kde#453348):
  * 0001-applets-appmenu-fix-top-level-menu-text-coloration.patch
- Add patch to also show themes with a newer metadata format (kde#453830):
  * 0001-kcms-desktoptheme-find-metadata.json-when-loading-Th.patch
* Tue May  3 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.24.5
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.24.5
- Changes since 5.24.4:
  * [lookandfeel] Fix collapsed width of a volume/brightness OSD on a lock screen (kde#446185)
  * xdgactivation: Make sure we don't call setStartupId with an x11 token
  * Convert old-style Favorites resources in KActivities DB (kde#385814)
  * runners/baloo: Add missing category "text" to file search results
  * applets/digital-clock: Fix date drift (kde#452554)
  * systemtray: Fix race in DBusServiceObserver (kde#422111)
  * systemdialog: also consider buttonbox for dimensions
  * Fix not working applet with same compact/full representation when hiding
  * shell/scripting: Consider current activity in `desktopForScreen` (kde#452561)
  * Set a sane minimum size
  * SystemDialog: re-add removed public properties
  * kcm/colors: don't dull accent colour on dark themes in colorsapplicator (kde#442820)
  * wallpapers/image: Use onActivated instead of onCurrentIndexChanged
  * appmenu: Use existing menu in compact represenation (kde#438467)
  * Change the text color when appmenu is selected or hovered
  * Don't use forceActiveFocus to set search field focus
  * applets/clipboard: Don't forward input to filter if it's disabled
  * Avoid memory leaks by misusing HistoryItem::mimeData()
  * A better fix for BUG 431673
  * Revert "Trim very long text strings in Klipper history view"
  * Revert "[klipper] Use full text for DBus return values"
  * Revert "Fix Klipper Actions content truncation"
  * Revert "klipper: Add FullTextRole to get untruncated text"
  * Revert "klipper: Add `testTrimmedText`"
  * Revert "applets/clipboard: Use FullTextRole in EditPage"
  * Revert "applets/clipboard: Use FullTextRole in SortFilterModel"
  * Revert "applets/clipboard: Generate QR code from full text"
* Tue Mar 29 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.24.4
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.24.4
- Changes since 5.24.3:
  * kcms/users: Adjust for padding in overlay sheet (kde#451031)
  * [Media Controller] Explicitly set slider "to" before setting "value"
  * [Notifications] Fix implicit size propagation in SelectableLabel
  * applets/kicker: Skip creating KService for non-desktop files or folders (kde#442970)
  * Fix sleep/suspend sometimes not working ... from ksmserver-logout-greeter, by making the DBus calls synchronous.
  * kicker/actionlist: Ensure we parse the args for the jumplist actions (kde#451418)
  * libtaskmanager: recompute active task when a task is removed
  * sddm/lockscreen: Fix weird behaviour
  * [Notifications] Limit notification heading line count
* Tue Mar  8 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.24.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.24.3
- Changes since 5.24.2:
  * kcms/colors: Implement radio button layouts better
  * kcms/colors: fix spacing between radio buttons and content
  * [Battery Monitor] Only show charge threshold hint for power supply batteries (kde#451161)
  * [Icons KCM] Give measure delegate a text
  * wallpapers: Sort BackgroundListModel by title
  * applets/digital-clock: Fix `Qt.formatDateTime` returns different date when minute changes (kde#436796)
  * applets/systray: align applet labels with differing line counts in hidden view (kde#438347)
  * Show panel config above other windows (kde#450794)
  * Use current accent colour to set ColorDialog object in colour picker
  * SystemDialog: Allow accepting the dialogs with the keyboard (kde#450223)
  * applets/systemtray: Do not open context menu on mouse pressed for SNI (kde#409768)
  * Revert "Fix overdraw on Wayland"
  * startkde: Forward stdout/stderr of started processes
  * SDDM theme: stop eliding people's names so aggressively (kde#450673)
  * applets/digital-clock: Word-wrap date string for desktop representation (kde#450632)
  * wrap completely the invariants timer in NDEBUG
  * ScreenPool as the source of truth of QScreen info
  * Always ensure there is an user selected (kde#450182)
  * Prevent panel going out of screen boundaries
  * applets/clipboard: Focus on text area when transition is done
  * applets/clipboard: Fix highlight after exiting edit mode
- Drop patches, now upstream:
  * 0001-startkde-Forward-stdout-stderr-of-started-processes.patch
- Restore compatibility with older kf5-filesystem
* Mon Mar  7 2022 Christophe Giboudeaux <christophe@krop.fr>
- Replace %%_libdir/libexec with %%_libexecdir (boo#1174075)
* Thu Feb 24 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix log output of some processes (boo#1196206):
  * 0001-startkde-Forward-stdout-stderr-of-started-processes.patch
* Tue Feb 22 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.24.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.24.2
- Changes since 5.24.1:
  * applets/clipboard: Focus on the search field for the first time opening the applet
  * applets/clipboard: Make Up/Down arrow keys work in ClipboardPage (kde#448811,kde#450040)
  * applets/panelspacer: Fix optimal size calculation (kde#431668)
  * Fix overdraw on Wayland
  * PanelView: Do not crash when the state is transitioning (kde#373461)
  * Fix launch kscreen kcm in font kcm.
  * Don't install two copies of kcm_fontinst
  * Lock/login themes: stop adjusting shadows based on color scheme (kde#449985)
  * Top-align lock/login/logout screen action buttons (kde#450238)
  * [kcms/user] Set interactive auth flag for more calls (kde#450122)
* Tue Feb 15 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.24.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.24.1
- Changes since 5.24.0:
  * Move to runtime check of valid font DPI (kde#449918)
  * applets/battery: adjust show/hide conditions for charge limits (kde#435931)
  * applets/systemtray: fix SNI context menu usage without libappindicator (kde#449870)
  * applets/notifications: Increase implicit size of standalone popup (kde#448383)
  * applets-digital/clock: Add workaround for QTBUG-83890 (kde#448387)
  * Clean up "empty" mimeType containg only whitespaces
  * dataengines/apps: Use KIO::ApplicationLauncherJob for starting KService
  * [containmentactions/applauncher] Use ApplicationLauncherJob instead of OpenUrlJob (kde#449900)
  * Desktop: Still show services with nodisplay=true set (kde#449243)
  * appstream runner: De-duplicate results from multiple sources (kde#448619)
  * Fix ksplash always using default theme. (kde#446966)
  * kcms/users: Fix missing template arguments before reply in FingerprintModel
  * De-duplicate 'Uninstall or manage addons' option in the context menu of Kickoff (kde#448564)
* Sat Feb  5 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.24.0
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.24.0
- Too many changes to list here
- Drop patches, now upstream:
  * 0001-sddm-theme-Change-wallpaper-extension-so-that-it-poi.patch
  * 0001-systemdialogs-Remove-leftover-and-broken-components.patch
  * 0001-Make-SessionManagementScreen-a-FocusScope.patch
  * 0001-Fix-initial-focus-in-LockScreenUi.patch
* Sat Jan 22 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix initial focus in SDDM (kde#447817):
  * 0001-Make-SessionManagementScreen-a-FocusScope.patch
- Add patch to fix initial focus in the lockscreen:
  * 0001-Fix-initial-focus-in-LockScreenUi.patch
* Thu Jan 13 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.23.90
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.23.90
- Too many changes to list here
- Rebase 0001-Use-qdbus-qt5.patch
- Replace xprop-kde-full-session.desktop with autostart file:
  * 0001-Revert-Drop-setupX11-from-startplasma-waylandsession.patch
  * 0002-Revert-Drop-X11-root-properties-for-KDE-full-session.patch
- Add patch to fix the upstream sddm theme background:
  * 0001-sddm-theme-Change-wallpaper-extension-so-that-it-poi.patch
- Add patch to fix screen sharing dialog (kde#448423):
  * 0001-systemdialogs-Remove-leftover-and-broken-components.patch
* Tue Jan  4 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.23.5
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.23.5
- Changes since 5.23.4:
  * applets/systemtray: Follow panel opacity (kde#439025)
  * [webshortcutsrunner] Fix private browsing with some Firefoxes
  * [kcms/style] Don't call setNeedsSave when style config changes (kde#439297)
  * digital-clock: fix calendar popup contrast when opened from desktop (kde#446991)
  * [libnotificationmanager] Fix memory leak
  * [kcms/lookandfeel] Guard reading invalid first entry (kde#446100)
  * [Global Menu] Set translation domain
  * lookandfeel: Add missing check if list of files is empty (kde#439797)
  * [KSplash] Start with zero opacity
  * Fix Klipper Actions content truncation (kde#444365)
  * [klipper] Use full text for DBus return values (kde#446441)
* Tue Nov 30 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.23.4
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.23.4
- Changes since 5.23.3:
  * Lock & login screens: Use RTL-friendly arrows when in RTL mode
  * [logout-greeter] Set window class name (kde#444898,kde#444899)
  * systemtray: Connect to StatusNotifierWatcher before initializing QDBusPendingReply
  * systemtray: Check if a service is already added before processing QDBusReply (kde#443961)
  * baloosearchruner: Emit DBus error when baloo is disabled (kde#445342)
* Tue Nov  9 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.23.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.23.3
- Changes since 5.23.2:
  * fixed size hints to the osd
  * use implicit size to not cause binding loops (kde#422072)
  * wayland: don't create DesktopView for placeholder screen (kde#438839,kde#444801)
  * [startplasma] Detect systemd service in linked state
  * [Notifications] Fix grouping container side line
  * Disconnect watcher for xdgActivationTokenArrived (kde#444385)
  * interactiveconsole: Allow specifying mode from command line parameter
* Tue Oct 26 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.23.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.23.2
- Changes since 5.23.1:
  * Hide KRunner window when pressing escape (kde#444240)
  * [applets/clipboard] Fix selecting clipboard entries with Enter
  * Set Qt.ImhNoPredictiveText for text fields that act as search fields
  * [shell] Ignore placeholder screens
- Add a version to BuildRequires: cmake(Breeze)
* Thu Oct 21 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Add back X11 root window properties until firefox is adjusted
  (boo#1191825):
  * 0001-Revert-Drop-setupX11-from-startplasma-waylandsession.patch
  * 0002-Revert-Drop-X11-root-properties-for-KDE-full-session.patch
* Tue Oct 19 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.23.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.23.1
- Changes since 5.23.0:
  * [freespacenotifier] impr: no notification for ro filesystems
  * kcms/colors: Don't apply header accent colors to non-Header color schemes (kde#443786)
  * [kcms/colors] Notify global settings change after saving
  * krdb: Fix removal of Xft.dpi from Xresources (kde#350039)
  * sddm-theme: fix missing password field on "Other" page (kde#443737)
  * pipewire: Report DRM_FORMAT_MOD_INVALID when no modifiers are offered
  * [digital-clock] Do not assign undefined when agenda is not visible (kde#443380)
- Drop patches, now upstream:
  * 0001-sddm-theme-fix-missing-password-field-on-Other-page.patch
* Fri Oct 15 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to show password input on the "Other" page in SDDM (kde#443737):
  * 0001-sddm-theme-fix-missing-password-field-on-Other-page.patch
* Thu Oct  7 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.23.0
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.23.0
- Changes since 5.22.90:
  * Revert "xembed: adapt to changes in KNotifications" (kde#442758)
  * sddm-theme: Fix using mouse movements to show the UI
  * [systemtray] Check for menuItemFactory.object existence (kde#443377)
  * applets/devicenotifier: Remove applet list item animations
  * sddm-theme: Fix use of needsPassword and related button layout
  * [klipper] Fix shortcut of OK button in the clipboard content edit dialog (kde#400623)
  * Fix Kickoff context menu actions for System Settings results (kde#442522)
  * klipper: Fix reading from plasma on wayland
  * Fix build with gpsd 3.23.1
  * Unbreak fontinst KCM (kde#442748)
  * Address regression in VT switching code (kde#442852)
  * libtaskmanager: Don't request dmabuf if not supported (kde#428284)
  * Port away from Kirigami.Units.devicePixelRatio
  * lookandfeel: don't nuke accent colour (kde#442812)
  * kcm/colors: Improve some bindings on accent colors
  * sddm-theme: fix default username font size
  * PipeWire: Include defines for older PipeWire versions
  * pipewire: Properly compare pipewire versions using QVersionNumber
  * [Klipper] Guard against broken data fetches
  * [Klipper] Handle incoming UTF-8 mime types (kde#424694)
  * PipeWire: Make sure thumbnails properly use dmabuf again
  * [shell/panel] Fix ability to type in textfield (kde#442557)
- Drop patches, now upstream:
  * 0001-Fix-build-with-gpsd-3.23.1.patch
  * 0001-SVN_SILENT-made-messages-.desktop-file-always-resolv.patch
  * 0002-libtaskmanager-Don-t-request-dmabuf-if-not-supported.patch
  * 0002-shell-panel-Fix-ability-to-type-in-textfield.patch
  * 0003-SVN_SILENT-made-messages-.desktop-file-always-resolv.patch
  * 0004-PipeWire-Make-sure-thumbnails-properly-use-dmabuf-ag.patch
  * 0005-SVN_SILENT-made-messages-.desktop-file-always-resolv.patch
  * 0006-Klipper-Handle-incoming-UTF-8-mime-types.patch
  * 0007-Klipper-Guard-against-broken-data-fetches.patch
  * 0008-pipewire-Properly-compare-pipewire-versions-using-QV.patch
  * 0009-PipeWire-Include-defines-for-older-PipeWire-versions.patch
  * 0010-sddm-theme-fix-default-username-font-size.patch
  * 0011-Revert-xembed-adapt-to-changes-in-KNotifications.patch
- Refresh 0001-Ignore-default-sddm-face-icons.patch
- Add new key + signature to plasma.keyring
* Fri Sep 24 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix build with gpsd:
  * 0001-Fix-build-with-gpsd-3.23.1.patch
- Add patch to fix window thumbnails if dmabuf is not supported (kde#428284):
  * 0002-libtaskmanager-Don-t-request-dmabuf-if-not-supported.patch
* Wed Sep 22 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Add patches from Plasma/5.23 branch:
  * 0001-SVN_SILENT-made-messages-.desktop-file-always-resolv.patch
  * 0002-shell-panel-Fix-ability-to-type-in-textfield.patch
  * 0003-SVN_SILENT-made-messages-.desktop-file-always-resolv.patch
  * 0004-PipeWire-Make-sure-thumbnails-properly-use-dmabuf-ag.patch
  * 0005-SVN_SILENT-made-messages-.desktop-file-always-resolv.patch
  * 0006-Klipper-Handle-incoming-UTF-8-mime-types.patch
  * 0007-Klipper-Guard-against-broken-data-fetches.patch
  * 0008-pipewire-Properly-compare-pipewire-versions-using-QV.patch
  * 0009-PipeWire-Include-defines-for-older-PipeWire-versions.patch
  * 0010-sddm-theme-fix-default-username-font-size.patch
- Add patch to fix XEmbed context menus (kde#442758)
  * 0011-Revert-xembed-adapt-to-changes-in-KNotifications.patch
* Fri Sep 17 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.22.90
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.22.90
- Too many changes to list here
- Refresh patches:
  * 0001-Revert-No-icons-on-the-desktop-by-default.patch
  * 0001-Use-qdbus-qt5.patch
- Drop patches, now upstream:
  * Call-UnInhibit-with-correct-signature-in-powermanagement-dataengine.patch
* Thu Sep 16 2021 Wolfgang Bauer <wbauer@tmo.at>
- Add upstream patch to fix a bug that would result in power management
  remaining inhibited even after un-inhibiting it in the UI:
  * Call-UnInhibit-with-correct-signature-in-powermanagement-dataengine.patch
* Wed Sep 15 2021 Christophe Giboudeaux <christophe@krop.fr>
- Drop the unneeded baselibs.conf.
* Tue Aug 31 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.22.5
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.22.5
- Changes since 5.22.4:
  * [kcms/icons] Fix i18n usage
  * [kcms/icons] Clip ListView in popup
  * [applets/digitalclock] Let long timezones list scroll (kde#439147)
  * [applets/digital-clock] Fix header in RTL mode (kde#438083)
* Tue Jul 27 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.22.4
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.22.4
- Changes since 5.22.3:
  * systemtray: Let plasmashell handle visibility when configuring (kde#440263)
  * [applets/clipboard] Fix the alignment of delegate buttons (kde#437044)
  * Allow plasmashell to use both screenshot and screenshot2
  * [Notifications] Set Plasma linkColor on notification label (kde#438366)
  * Add kde-baloo.service to Wants=
  * Prevent fractional positioning in systray HiddenItemsView
  * Set GDK scale explictily on wayland (kde#438971)
* Tue Jul  6 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.22.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.22.3
- Changes since 5.22.2.1:
  * [Media Player] Skip source if it doesn't exist (kde#439309)
  * Guard calls into layer shell (kde#439356)
  * xembed-sni-proxy: Add Menu property (kde#439229)
  * Assing first screen if `screen` is null (kde#438277)
* Fri Jun 25 2021 Fabian Vogt <fabian@ritter-vogt.de>
- No longer force GDK_BACKEND, kde-gtk-config deals with it meanwhile:
  * 0001-Set-GTK_BACKEND-x11-in-a-wayland-session.patch
- Drop "Full Wayland" session, default in libqt5-qtbase changed
* Wed Jun 23 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.22.2.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.22.2
- Changes since 5.22.1:
  * Fix copy-paste error
  * [Notifications] Strip trailing slash for fallback URL path
  * [Notifications] Restore "details" reference
  * [Notifications] Avoid showing "0 seconds remaining"
  * Init ShellCorona after KDBusService (kde#408310)
* Tue Jun 15 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.22.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.22.1
- Changes since 5.22.0:
  * [applets/devicenotifier] Don't show empty header most of the time (kde#438351)
  * [kcms/autostart] Avoid empty application icon
  * [libtaskmanager/x11] Fix transient windows bug (kde#438222)
  * krunerglobalshortcuts: Fix migration from old component
  * Recent Documents: Fix missing actions for results (kde#437462)
  * [kcms/autostart] Keep capitalization of desktop file names (kde#438406)
  * Point bbcukmet to new location API BUG: 430643 (kde#430643)
  * krunnerglobalshortcuts: Prevent actions from becoming inactive
  * Fix kcmfontinst install destination (kde#436306)
- Drop patches, now upstream:
  * 0001-krunnerglobalshortcuts-Prevent-actions-from-becoming.patch
  * 0001-krunerglobalshortcuts-Fix-migration-from-old-compone.patch
  * 0001-Fix-kcmfontinst-install-destination.patch
* Fri Jun 11 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Add another patch to fix migration of krunner shortcuts from
  Plasma < 5.17 (boo#1187204):
  * 0001-krunerglobalshortcuts-Fix-migration-from-old-compone.patch
* Wed Jun  9 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix migration of krunner shortcuts (kde#437364):
  * 0001-krunnerglobalshortcuts-Prevent-actions-from-becoming.patch
* Tue Jun  8 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Add back patch which was mistakenly not part of the tarball:
  * 0001-Fix-kcmfontinst-install-destination.patch
* Tue Jun  8 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to new 5.22.0 tarball:
  * [System Tray] Fix typo breaking sorting notification applet first (kde#438146)
* Thu Jun  3 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.22.0
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.22.0
- Too many changes to list here
- Drop patches, now upstream:
  * 0001-Fix-kcmfontinst-install-destination.patch
* Mon May 31 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix the font management KCM (kde#436306):
  * 0001-Fix-kcmfontinst-install-destination.patch
* Thu May 13 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.21.90
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.21.90
- Too many changes to list here
- Drop patches, now upstream:
  * 0001-startkde-Reset-systemd-failed-units-on-login.patch
* Wed May 12 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to unbreak some services after login (kde#429415):
  * 0001-startkde-Reset-systemd-failed-units-on-login.patch
* Tue May  4 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.21.5
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.21.5
- Changes since 5.21.4:
  * [applets/digital-clock] Fix "both pointSize and pixelSize defined" warning
  * [applets/digitalclock] Fix timezone filter
  * Add a -1 to make the mouse input not redirect to a margin pixel. (kde#413736)
  * Fix crash on drag-and-drop over panel (kde#398440)
  * [Notifications] Don't generate previews of zero size
  * krunner: Always set cursor position to end when focusing search field (kde#435604)
  * Don't extract QML as Java
* Tue Apr  6 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.21.4
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.21.4
- Changes since 5.21.3:
  * Make sure that *m_twinSpacer is iniitialized in panelspacer (kde#422914)
  * Comment was interpreted as part of Restart
  * [applets/digital-clock] Fix timezone placeholder message positioning
  * icons kcm: Clear pending deletions when Defaults button is clicked
  * Remove pointless widget (kde#434910)
  * krunner: Restore history related property and methods for compatibility with third party themes (kde#433173)
  * Make bottom frame again visible (kde#434645)
  * Fix color scheme preview (kde#434493)
  * save layout when corona startup is completed (kde#433799)
  * Klipper Waylandclipboard: force offer of specific mimetype to fix pasting to gtk applications
* Tue Mar 16 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.21.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.21.3
- Changes since 5.21.2:
  * [Image wallpaper] Make the Positioning combobox as equally wide as the other comboboxes
  * [Notifications] Emit dataChanged in setData call
  * [applets/devicenotifier] Manually bind width of list item
  * Re-add Force Font DPI spinbox on Wayland (kde#433115)
  * proper form factor filtering (kde#433983)
  * Pass Qt::MatchExactly when calling QAbstractItemModel::match for strings
  * Adapt more KCMs to using Kirigami.ActionToolbar for their footer actions
  * Fix query of StartPlasma::hasSystemdService (kde#433333)
  * [lookandfeel/ActionButton] Fix broken focus effect (kde#433755)
  * Use separate face controller for appearance config (kde#424458)
* Tue Mar  2 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.21.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.21.2
- Changes since 5.21.1:
  * KRunner: Handle escape key in history view more gracefully (kde#433723)
  * [Notifications] Don't change tooltip when paused
  * locations runner: Fix empty list on invalid shell quotes
  * [applets/devicenotifier] Add placeholder icon when no device icon exists (kde#433534)
  * [kcms/icons] Collapse buttons if the row is too wide for the display
  * Do not start faulty coronas
- Drop patches, now actually upstream:
  * 0001-locations-runner-Fix-empty-list-on-invalid-shell-quo.patch
* Fri Feb 26 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Add back patch for fix which didn't make it into 5.21.1:
  * 0001-locations-runner-Fix-empty-list-on-invalid-shell-quo.patch
* Tue Feb 23 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.21.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.21.1
- Changes since 5.21.0:
  * Fix case in logout applet config key (kde#433320)
  * calculatorrunner: Fix mixed hex+decimal calculations (kde#431362)
  * Fix font installation
  * locations runner: Fix absolute filepath + arguments (kde#433053)
  * Enforce SESSION_MANAGER is exported before plasmashell is started
  * libtaskmanager: Allow to launch executables (kde#433148)
  * Move ksmserver's ksplash notifying to ksmserver (kde#432364)
  * Handle closeSession being called concurrently
  * [libkworkspace] Interim fix for the logout issue (kde#432460)
  * fixup! [keyboard applet] fix TypeError garbage in log
- Drop patches, now upstream:
  * 0001-locations-runner-Fix-absolute-filepath-arguments.patch
  * 0001-locations-runner-Fix-empty-list-on-invalid-shell-quo.patch
  * 0001-libkworkspace-Interim-fix-for-the-logout-issue.patch
- Drop workaround, no longer needed:
  * 0001-ksmserver-Enable-debug-output-by-default.patch
* Mon Feb 22 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix krunner crash caused by mismatched quotes:
  * 0001-locations-runner-Fix-empty-list-on-invalid-shell-quo.patch
* Thu Feb 18 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix starting applications with arguments from krunner
  (kde#433053):
  * 0001-locations-runner-Fix-absolute-filepath-arguments.patch
* Wed Feb 17 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix race on logout (kde#432460):
  * 0001-libkworkspace-Interim-fix-for-the-logout-issue.patch
* Thu Feb 11 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.21.0
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/5.21.0
- Changes since 5.20.90:
  * fix restore size when float is used
  * show colors,icons and plasma style in plamo
  * [Notifications] Escape HTML in destUrl and fileName
  * [Notifications] When application responds to cancel request, stop kill timer
  * Fix condition for executable folders (kde#432653)
  * ksmserver: Filter out services with NoDisplay=true
  * Fix wallpaper paths in org.kde.slideshow package
  * Revert "Use subseq matching for service runner" (kde#431609,kde#432339)
  * [Notifications] Property is supposed to be "ProcessedItems"
  * remove phone specific wallpaper config ui
  * [applets/digital clock] Unbreak the time zone config dialog
  * Set add panel as an explicit menu of a panel action (kde#432250)
  * Wallpaper config: fix property imageModel that was missing in delegate (kde#431961)
  * Make ksmserver's lock screen detection automatic
  * [systemd] Move kwin to "wants"
  * [applets/systemmonitor] fix not hiding the title on vertical panels
  * [applets/digital clock] Restore scroll-to-change-displayed-timezone (kde#431977)
  * Don't crash if the panelview is not ready
  * [Notifications] Re-evaluate unread count when a notification is "read"
  * [keyboard applet] fix TypeError garbage in log
  * Fix condition for windowed widgets standalone mode (kde#432032)
- Add patch to either get more info or work around logout not working
  sometimes (kde#432460):
  * 0001-ksmserver-Enable-debug-output-by-default.patch
* Thu Jan 21 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.20.90
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/plasma/5/20.90/
- Too many changes to list here
- Refresh patches:
  * 0001-Revert-No-icons-on-the-desktop-by-default.patch
  * 0001-Set-GTK_BACKEND-x11-in-a-wayland-session.patch
  * 0001-Use-qdbus-qt5.patch
* Fri Jan 15 2021 Michel Normand <normand@linux.vnet.ibm.com>
- Add _constraints with min 4GB disk space to avoid build failure
* Tue Jan  5 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.20.5
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma-5.20.5
- Changes since 5.20.4:
  * Recent Documents Runner: Strip trailing slash in subtext
  * [applets/systemtray] Fix missing expander arrow (kde#430569)
  * [Notifications] Check popup being null
  * move keyboard positioning in the keyboard itself (kde#427934)
* Wed Dec 30 2020 Fabian Vogt <fabian@ritter-vogt.de>
- RPM got fixed, so use %%fdupes on TW again
* Wed Dec 30 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Add compatibility with qml-autoreqprov
* Tue Dec  1 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.20.4
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma-5.20.4
- Changes since 5.20.3:
  * Fix Environment Canada weather domain.
  * Fix build with newer Qt
  * fix: Font files, kfontview and thumbnailer crash on Wayland (kde#401031)
  * Readd searching for breeze decoration (kde#429298)
  * [Notifications] Check pause button when job is paused
  * The cursor previews are in a layout
  * Revert "Use new simpler way to disable session management in services"
  * [Tab switcher] Fix binding loop that spams the log (kde#410984)
* Wed Nov 11 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.20.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma-5.20.3
- Changes since 5.20.2:
  * Fix missing "Switch User" button on lockscreen with systemd 246 (kde#427777)
  * [applets/devicenotifier] Fix regression with expand (kde#428379)
  * Fix edge case for tilde and ENV command
  * [lookandfeel] Fix switching to a different user session
  * [libkworkspace] Fix if getCurrentSeat needs to fallback to old approach (kde#423526)
  * Fix SystemEntries not updating correctly (kde#427779)
  * [applets/icon] Handle non-Applications URLs again (kde#427797)
  * [System Tray] Fall back to tool tip title if no title is set
* Tue Oct 27 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.20.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma-5.20.2
- Changes since 5.20.1:
  * [plasma-session] Fix application lifespan (kde#422948)
  * Sync OSD properties (kde#425908)
  * [applets/systemtray] Fixes for vertical and huge panel (kde#428158,kde#428127,kde#428198)
  * [applets/systemtray] Make highlight wider (kde#427638)
  * Fix tile expansion in ShellRunner (kde#427824)
* Sun Oct 25 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Require pipewire in plasma5-session-wayland
* Thu Oct 22 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Drop workaround for old powerdevil
- 5.20.1.1 is actually still 5.20.1, set the macro that way
* Tue Oct 20 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.20.1.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma-5.20.1
- Changes since 5.20.0:
  * [applets/devicenotifier] Don't offer to unmount non-removable devices (kde#427176)
  * [applets/systemtray] Fix icon size for 24px panels (kde#427690)
  * Make Prison a required dependency
  * [notifications] Fix margins of close button timeout indicator (kde#425911)
  * [Notifications] Also check transient parent for whether it's a dialog
  * Revert "krdb: Call xrdb with -nocpp" to fix gitk runtime errors
- Drop patches, now upstream:
  * 0001-Revert-krdb-Call-xrdb-with-nocpp-to-fix-gitk-runtime.patch
* Wed Oct 14 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Generate plasmafullwayland.desktop by editing plasmawayland.desktop
- Make plasma5-session-wayland arch-dependent as it contains %%{_libdir}
- Add BuildRequires for pipewire and libdrm
* Wed Oct 14 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Don't use %%fdupes -s, kpackage doesn't like it and so this broke
  the slideshow wallpaper
* Tue Oct 13 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix startup of some applications (mostly Tk):
  * 0001-Revert-krdb-Call-xrdb-with-nocpp-to-fix-gitk-runtime.patch
* Thu Oct  8 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.20.0
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma-5.20.0
- Too many changes to list here
- Drop patches, now upstream:
  * 0001-applets-devicenotifier-Don-t-open-popup-for-already-.patch
  * 0001-Improve-handling-of-lifecycle-methods-in-retain-prio.patch
* Sat Oct  3 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to avoid popup on login (kde#426990):
  * 0001-applets-devicenotifier-Don-t-open-popup-for-already-.patch
* Mon Sep 28 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Mark powerdevil 5.19.0 as recent enough as workaround for boo#1176474
* Wed Sep 23 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix krunner on wayland:
  * 0001-Improve-handling-of-lifecycle-methods-in-retain-prio.patch
* Mon Sep 21 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Copy icon for org.kde.kcolorschemeeditor.desktop
- Clean up .spec file and remove obsolete workarounds
* Thu Sep 17 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.19.90
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma-5.19.90
- Too many changes to list here
- Refresh patches:
  * 0001-Ignore-default-sddm-face-icons.patch
  * 0001-Use-qdbus-qt5.patch
- Drop patches, now upstream:
  * 0001-Port-applets-to-use-PlasmaExtras.PlaceholderMessage.patch
  * 0001-ksmserver-Use-UpdateLaunchEnvJob-to-sync-SESSION_MAN.patch
  * 0001-sddm-theme-lockscreen-Fix-login-button-size.patch
* Wed Sep 16 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix login button appearance with KF 5.74:
  * 0001-sddm-theme-lockscreen-Fix-login-button-size.patch
* Fri Sep  4 2020 Hans-Peter Jansen <hpj@urpla.net>
- apply 0001-ksmserver-Use-UpdateLaunchEnvJob-to-sync-SESSION_MAN.patch,
  that fixes the broken session restore
* Tue Sep  1 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.19.5
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma-5.19.5
- Changes since 5.19.4:
  * [logout screen] Set implicit widths on OK and Cancel buttons
  * KDisplayManager: Work without $DISPLAY set
* Tue Jul 28 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.19.4
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma-5.19.4
- Changes since 5.19.3:
  * emit countChanged when we get a new source model
  * [wallpaper] Avoid using pluginId for indexing package indexes (kde#423987)
  * Revert "Fix broken ENV variables for detailed settings" (kde#423995)
  * [applet/systemtray] Regression: all applets in config are shown as disabled
  * hide face config button if the face can't config
  * Only open KCM in systemsettings if it can be displayed (kde#423612)
* Tue Jul  7 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.19.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma-5.19.3
- Changes since 5.19.2:
  * [wallpaper] Save the package name in configuration not a URL
  * Theme shouldn't inherit (kde#423747)
  * [applet/systemtray] Load config defaults from main.xml (kde#423561)
  * [applets/systemtray] Fix context menu misplaced (kde#421275)
  * [startkde] Block plasma-session exiting until startup sound completes (kde#422948)
  * [mediacontroller] Use half the samples for better performance with swrast
  * [applets/mediaplayer] Make size of the standalone plasmoid similar to that of the system tray (kde#422736)
  * Fix broken ENV variables for detailed settings (kde#417070,kde#176650)
  * set proper formFactors to faces
  * better propagate size hints
  * Fix DBus service used in shutdown interface (kde#423391)
- Drop patches, now upstream:
  * 0001-mediacontroller-Use-half-the-samples-for-better-perf.patch
  * 0001-Fix-DBus-service-used-in-shutdown-interface.patch
* Sat Jun 27 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to speed up artwork shader compilation in VMs (boo#1172763):
  * 0001-mediacontroller-Use-half-the-samples-for-better-perf.patch
* Tue Jun 23 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix power actions (kde#423391):
  * 0001-Fix-DBus-service-used-in-shutdown-interface.patch
* Tue Jun 23 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.19.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/plasma-5.19.2
- Changes since 5.19.1:
  * [Notifications] Support description where only a value is set (kde#423218)
  * Fix case of monitored service in startplasma's shutdown (kde#422870)
  * Fix faint outline for notification timeout indicator with newer charts (kde#423079)
  * [applets/appmenu] Listen to more signals to ensure that appmenu applet can reliably catch the active window changing (kde#422786,kde#422260)
  * Fix KRunner positioning on X11 with High DPI and Qt scaling on Plasma (kde#422578)
  * [lock screen] Stop timer when interacting with media controls (kde#422707)
* Sat Jun 20 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix label appearance (kde#422684):
  * 0001-Port-applets-to-use-PlasmaExtras.PlaceholderMessage.patch
* Tue Jun 16 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.19.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.19.1.php
- Changes since 5.19.0:
  * Fix race in loading DBus activatable applets
  * [applets/systemtray] Fix SNI "Always shown" restore (kde#422837)
  * center align battery icon in compact representation (kde#421038)
  * Fix actions for application search results
  * Fix desktop actions for recently used applications
  * Fix absolute icon paths
  * Make hidden plasmoids vertically centered in the System Tray popup applet (kde#422685)
  * Make KRunner KCM open in System Settings (kde#421427)
  * Guard QQmldebuggingEnabled by an env var (kde#422228)
  * fix confirmLogout setting for SessionManagement
* Thu Jun  4 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.19.0
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.19.0.php
- Changes since 5.18.90:
  * appstreamrunner: do case insensitive comparisons
  * Fix many results when query starts with =
  * [notifications] don't widen the notifications on the mobile
  * Kicker fix KRunner prepare/teardown method calls
  * Bookmarks Runner: Fix extraction of firefox profile (kde#418526)
  * [applets/systemtray] Fix configuraiton read on Plasma start
  * [applets/systemtray] Consistent name/icon in System Tray settings (kde#421561)
  * [applets/systemtray] Lazy initialize SystemTray model (kde#420993)
  * [applets/mediacontroller] Icon for Playing/Paused
  * [applets/mediacontroller] Don't use Album Art for icon (kde#420197)
  * Remove useless double line
  * Make system tray impossible to resize again
  * Revert "[applets/batterymonitor] Collapse inhibitions list properly"
  * [Battery Monitor] Fix ScrollView anchoring
  * [Notifications] Restore item spacing
  * [Notifications] Don't take updated time into account for sorting
  * [Kicker] Fix jump list actions in RunnerMatchesModel
* Thu May 14 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.18.90
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.18.90.php
- Too many changes to list here
- Drop patches, now upstream:
  * 0001-Stop-multiplying-duration-values.patch
* Mon May 11 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix animations with Frameworks 5.70:
  * 0001-Stop-multiplying-duration-values.patch
* Tue May  5 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.18.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.18.5.php
- Changes since 5.18.4.1:
  * [Notifications] Don't show do not disturb end date beyond 100 days
  * [systemtray] Fix SNI icon not rendering (kde#419305)
  * [KRunner] Watch config with KConfigWatcher
  * [Notifications] Have checkIndex check if the index is valid
  * [Notifications] Fix typo
  * Fix warning about connecting to a null sender, favoritesModel can be null
  * Fix variable assignment
  * [Notifications] Don't reverse() Array
  * use the decoded url for launcherPosition (kde#418483)
* Tue Mar 31 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.18.4.1:
  * Version fixed
* Tue Mar 31 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.18.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.18.4.php
- Changes since 5.18.3:
  * [runners/recentdocuments] disable executables or .desktop files (kde#419310)
  * [applets/digital-clock] Fix inappropriately high QtQuick version
  * [applets/systemtray] Clear item from shown/hidden list when disabling entry (kde#419197)
  * [applets/digital-clock] Fix date sizing in vertical panel (kde#417852)
  * [VirtualDesktopInfo] Connect to rowsChanged singal (kde#408783)
  * Fix systemtray configuration
* Tue Mar 10 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.18.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.18.3.php
- Changes since 5.18.2:
  * [gmenu-dbusmenu-proxy] Fix radio button state detection
  * [gmenu-dbusmenu-proxy] Pass action "target" in invocation
  * Degrade qCInfo to qCDebug
  * Demote jump list actions to PossibleMatches
  * ItemContainer: disconnect signals in destructor (kde#417603)
* Tue Feb 25 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.18.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.18.2.php
- Changes since 5.18.1:
  * Use appropriate icon for unconfigured applets' "Configure..." buttons
  * [applets/systemtray] Clip ListView in config
  * [kcms/feedback] Increase default window height a bit more (kde#417747)
  * fix activity runner
- Build the KUserFeedback KCM
* Tue Feb 18 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.18.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.18.1.php
- Changes since 5.18.0:
  * [kcms/feedback] Improve default kcmshell window size (kde#417747)
  * Extract messages from header files as well (Thanks to Victor Ryzhykh)
  * Remove downloadNewWhat usage
  * Don't delay ksplash until the entire slideshow is loaded
  * [Notifications] Only let details label grow, never shrink (kde#417489)
  * [libtaskmanager] Fix shared VirtualDesktopInfo::Private tied to the 1st creator (kde#415200)
  * [Background Finder] Create a valid invocation token
  * Replace plasma.kde.org with kde.org/plasma-desktop
* Tue Feb 11 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update tarball, now with updated preview images
* Thu Feb  6 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.18.0
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.18.0.php
- Changes since 5.17.90:
  * tooltips always have normal color group
  * Fix typo
  * [Notifications] Don't dodge notification popups
  * [Notifications] Fixup setSourceModel
  * [SNI] Fix race condition in item registration (kde#416652)
  * [Notifications] Fix typo
  * Shut up
  * [System Tray] Initially set correct category for plasmoids (kde#416947)
  * [Task Manager] Remove strict URL handling (kde#385727)
  * [context menu] Remove last traces of "Lock Widgets" action from UI (kde#416578)
  * Remove unused includes
  * Port plasma-workspace to autoconfig.kde.org
  * [sddm-theme] Fix broken wallpaper loading
  * [Notifications] Fix action button size
  * search for a default wallpaper in lookandfeel
  * [startkde] Export LC_TIME again (kde#416670)
  * [Notifications] Set transient parent for file menu (kde#387597)
  * [SystemTray] Fix model update in settings (missing icon) (kde#416400)
  * [SystemTray] Remove scrollbar paddings
  * Runner/Windows make the window finding more reliable (kde#414804)
  * Kicker/RecentDocuments display place's icon when resource matches one
  * [Notifications] When there is only a reply action, show reply field right away
  * [Notifications] Send reply text as targeted signal
  * Also disable automatic scaling on Qt >= 5.14 (kde#415421)
  * add includes needed for compiling with qt 5.13
- Drop patches, now upstream:
  * 0001-Set-QT_AUTO_SCREEN_SCALE_FACTOR-0-for-Qt-5.14-as-wel.patch
* Thu Jan 23 2020 Christophe Giboudeaux <christophe@krop.fr>
- Replace %%make_jobs with %%cmake_build
* Tue Jan 21 2020 Fabian Vogt <fabian@ritter-vogt.de>
- knewstuff-imports is needed for several KCMs
* Thu Jan 16 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.17.90
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.17.90.php
- Too many changes to list here
- Drop patches, now upstream:
  * 0001-Add-suffix-to-the-wayland-session-s-name.patch
  * lazy-sddm-theme.patch
- Refresh patches:
  * 0001-Use-qdbus-qt5.patch
* Tue Jan 14 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix/workaround scaling issues Qt 5.14.0 (kde#415421, boo#1160624):
  * 0001-Set-QT_AUTO_SCREEN_SCALE_FACTOR-0-for-Qt-5.14-as-wel.patch
* Tue Jan  7 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.17.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.17.5.php
- Changes since 5.17.4:
  * Fix build with gpsd 3.20 (kde#425939)
  * [Notifications] Don't show DrKonqi notifications in history
  * Revert "Add Meta+Space as a default shortcut to activate KRunner"
  * [Notifications] Release all cookies when service unregisters
  * Revert "[sddm-theme] Fix initial focus after SDDM QQC2 Port" (kde#414875)
  * Keep at least one system monitor alive
  * Use the right value of EnableMagicMimeActions
  * [sddm-theme] Fix initial focus after SDDM QQC2 Port
* Wed Dec  4 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.17.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
  * [sddm-theme] Fix initial focus after SDDM QQC2 Port
  * [XembedSNIProxy] Send all container windows to background on KWin restart (kde#357443)
  * [XembedSNIProxy] If available, always use 32-bit color. (kde#356937)
  * Port to non-deprecated KWindowSystem::setMainWindow overload
  * Fix broken multimedia control on lockscreen (kde#414487)
  * NET::StaysOnTop -> NET::KeepAbove (since 5.0)
* Tue Nov 12 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.17.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.17.3.php
- Changes since 5.17.2:
  * Fix binding loop in lockscreen media controls (kde#413087)
  * update panel shadows when background hints are changed
  * [Slideshow] Reenable other modes
  * Make env in plasma-sourceenv.sh call portable
* Tue Oct 29 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.17.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.17.2.php
- Changes since 5.17.1:
  * [wallpapers/image] Randomise new batches of images in the slideshow (kde#413463)
  * [wallpapers/image] Seed random number generator
  * [Lock Screen] Don't use black shadows with black text (kde#413537)
  * clear the cells before relayouting the items (kde#413019)
* Tue Oct 22 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.17.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.17.1.php
- Changes since 5.17.0:
  * [Windows Runner] Gather window again when running result (kde#412386)
  * [startplasma] Pass actual variable to kapplymousetheme
  * Fix slideshow crashing in invalidate() (kde#413018)
  * Fix reading environment variables with newline (kde#413130)
  * [Media Controller] Multiple artists support (kde#405762)
  * [gmenu-dbusmenu-proxy] Don't create ~/.gtkrc-2.0
  * [Notifications] Also consider enabled and connected for screen to be checked against
  * [Notifications] Don't bind model inside headerItem
  * [XembedSNIProxy] Do not crash on null pointer (kde#409652)
  * [XembedSNIProxy] Scale only big icons (kde#366047)
  * [XembedSNIProxy] Check size in each update() (kde#358240)
- Remove patches, now upstream:
  * 0001-Fix-reading-environment-variables-with-newline.patch
  * 0001-gmenu-dbusmenu-proxy-Don-t-create-.gtkrc-2.0.patch
* Fri Oct 18 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix reading environment variables with newline
  (boo#1154345, kde#413130):
  * 0001-Fix-reading-environment-variables-with-newline.patch
* Tue Oct 15 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix race on startup (kde#412970):
  * 0001-gmenu-dbusmenu-proxy-Don-t-create-.gtkrc-2.0.patch
* Thu Oct 10 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.17.0
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.17.0.php
- Changes since 5.16.90:
  * [Notifications] Report effective Inhibited state on DBus
  * Fix erroneous conversion to signed int
  * [startplasma] don't set QT_AUTO_SCREEN_SCALE_FACTOR with Qt >= 5.14
  * [Notifications] Dodge Plasma dialogs
  * Link explicitly to Qt5Widgets, in case KWindowSystem doesn't anymore
  * [Notifications] Add spacing after positioning popup for bottom panel
  * Remove some spacing on lockscreen that was causing elements to get cut off on small displays (kde#410801)
  * [Kicker] Add guards for appletInterface
  * Fix version for Plasma/5.17
  * Fix the appstream qt detection in cmake (kde#412069)
  * It depends against 5.62 now
* Fri Sep 20 2019 Wolfgang Bauer <wbauer@tmo.at>
- Adjust plasmafullwayland.desktop to upstream changes: the session
  is started by the startplasma-wayland executable now, the
  startplasmacompositor script doesn't exist anymore
* Thu Sep 19 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.16.90
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.16.90.php
- Too many changes to list here
- Refresh patches:
  * 0001-Add-suffix-to-the-wayland-session-s-name.patch
  * 0001-Set-GTK_BACKEND-x11-in-a-wayland-session.patch
  * lazy-sddm-theme.patch
- Replace 0001-Rename-qdbus-in-startkde.patch with 0001-Use-qdbus-qt5.patch
* Tue Sep  3 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.16.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.16.5.php
- Changes since 5.16.4:
  * [Notifications] Elide application label on the left
  * [Notifications] Group only same origin and show it in heading
  * [Notifications] Implement JobViewV3
  * Replicate Shift+Enter for action invocation for history as well (kde#411350)
  * libtaskmanager: fix launch url for startup info with pathless desktop file
  * [weather] [envcan] Add additional current condition icon mappings
  * [weather] [envcan] Thunderstorm is a current condition, the XML also seems to have whitespaces so strip those off
  * Tell AppStream generators not to index Klipper .desktop files
  * [Notifications] Bring back dismissed progress in case of crash
  * Add missing include (QJsonArray) to fix compilation with Qt 5.13
  * [lockscreen] Fit album art to defined geometry
  * Fix compilation
  * Add missing include
  * [notifications] Change default icon to notification-inactive
  * [MPRIS Data Engine] Ignore non-standards compliant players
  * [applets/notifications] Try to not have the notification count numbers overflow the icon
  * [Notifications] Workaround NativeRendering with non-integer scaling
  * Bind SQL parameters in firefox bookmarksrunner support
* Wed Aug 28 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Change 0001-Set-GTK_BACKEND-x11-in-a-wayland-session.patch to not
  override GDK_BACKEND if already set
- Add a new plasmafullwayland.desktop which overrides use of X11
  backends of GTK and Qt
* Tue Jul 30 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.16.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.16.4.php
- Changes since 5.16.3:
  * [Notifications] Keep new delegate hidden until room has been cleared
* Tue Jul  9 2019 fabian@ritter-vogt.de
- Update to 5.16.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.16.3.php
- Changes since 5.16.2:
  * Keep Klipper notifications out of notification history (kde#408989)
  * [Notifications] Print warning about missing identification only if both are missing
  * [Notifications] Ignore excess spam (kde#409157)
* Tue Jun 25 2019 fabian@ritter-vogt.de
- Update to 5.16.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.16.2.php
- Changes since 5.16.1:
  * [Notifications] Swap configure and clear buttons in full representation header (kde#409140)
  * do not use long deprecated QString::toAscii
  * print a warning when invoking the scripting API's sleep()
  * [Notifications] Don't keep non-configurable notifications in history
  * [Notifications] Make popup placement more resilient
  * [Notifications] Don't show remaining time when job is paused
  * [Notifications] Let plasmashell be the only true owner of notification and job tracker services (kde#408250)
  * [Klipper] Always restore the last clipbboard item
  * Handle Gimp 2.10
  * Set translation domain
  * [interactiveconsole] Fix initial load selection (kde#408787)
  * [Notifications] Read BAMF_DESKTOP_FILE_HINT from environment
  * Make the icon applet use the same shadow settings as desktop icons
* Tue Jun 18 2019 fabian@ritter-vogt.de
- Update to 5.16.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.16.1.php
- Changes since 5.16.0:
  * [Powerdevil runner] Make Sleep/Suspend command work again (kde#408735)
  * PanelView: align setting of masks with how it's done for dialogs/tooltips
  * [sddm-theme] Style the session and keyboard layout selectors to be more Breeze (kde#408702)
  * [Notifications] Resolve X-Flatpak-RenamedFrom
* Thu Jun  6 2019 fabian@ritter-vogt.de
- Update to 5.16.0
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.16.0.php
- Too many changes to list here
- Drop patches, now upstream:
  * 0001-Don-t-assign-a-QtObject-to-a-model.patch
- Refresh lazy-sddm-theme.patch
* Tue May 21 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to workaround crash with Qt 5.12.3 (kde#407220, QTBUG-75900):
  * 0001-Don-t-assign-a-QtObject-to-a-model.patch
* Thu May 16 2019 fabian@ritter-vogt.de
- Update to 5.15.90
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.15.90.php
- Too many changes to list here
- Refresh patches:
  * 0001-Rename-qdbus-in-startkde.patch
  * 0001-Revert-No-icons-on-the-desktop-by-default.patch
  * 0001-Set-GTK_BACKEND-x11-in-a-wayland-session.patch
  * lazy-sddm-theme.patch
* Tue May  7 2019 fabian@ritter-vogt.de
- Update to 5.15.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.15.5.php
- Changes since 5.15.4:
  * [Widget Explorer] Continue using a trash can icon for "Uninstallable" category
  * Show accurate checked state for system monitor configuration pages
* Fri Apr 12 2019 sbrabec@suse.com
- Fix typos in Groups.
* Tue Apr  2 2019 fabian@ritter-vogt.de
- Update to 5.15.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.15.4.php
- Changes since 5.15.3:
  * Fix prior commit that broke the build
  * Change default Klipper behavior to accept images
  * [service runner] throw out kde3 "compat" code (kde#383287)
  * [KSplashQML] Register DBus before loading the splash theme
  * [notifications] Prevent subpixel font placement
* Sat Mar 23 2019 Markus S <kamikazow@opensuse.org>
- Fix wording
- Changed dependecy status of sounds package from Required to
  Recommended because Plasma load just fine without it.
* Fri Mar 22 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Edit 0001-Set-GTK_BACKEND-x11-in-a-wayland-session.patch:
  * Allow overriding GDK_BACKEND in .config/plasma-workspace/env
* Tue Mar 12 2019 fabian@ritter-vogt.de
- Update to 5.15.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.15.3.php
- Changes since 5.15.2:
  * [Task Manager] Fix sorting of tasks on last desktop in sort-by-desktop mode
  * [notifications] Lift up notification content if one line of body text droops (kde#404407)
  * [OSD] Fix animation stutter
  * [shell] Show kactivies warning only on error
* Tue Feb 26 2019 fabian@ritter-vogt.de
- Update to 5.15.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.15.2.php
- Changes since 5.15.1:
  * [weather] envcan: Fix typo in lowercase icon lookup string
  * Don't show entries with NoDisplay=true with the applauncher containmentaction
  * improve screen filtering for global menu applet (kde#404500)
- Drop patches, now upstream:
  * 0001-Don-t-show-entries-with-NoDisplay-true-with-the-appl.patch
* Tue Feb 19 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to honour NoDisplay in the applauncher containmentaction (boo#1125901):
  * 0001-Don-t-show-entries-with-NoDisplay-true-with-the-appl.patch
* Tue Feb 19 2019 fabian@ritter-vogt.de
- Update to 5.15.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.15.1.php
- Changes since 5.15.0:
  * [ksmserver] Restore legacy sessions (kde#404318)
  * Exclude kuiserver from session management
  * [Digital Clock] Fix 24h tri-state button broken in port to QQC2 (kde#404292)
  * Harmonize usage of HAVE_X11, using #if and #cmakedefine01 everywhere
  * [weather dataengine] bbc,envcan,noaa: fix day/night calculation for observe
  * [weather dataengine] envcan: fix forecast icons to match "ice pellets"
  * Fix System Tray popup interactivity after echanging item visiblity (kde#393630)
* Thu Feb  7 2019 fabian@ritter-vogt.de
- Update to 5.15.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.15.0.php
- Changes since 5.14.90:
  * weather dataengine] noaa: another forecast string found in use
  * [kio_applications] Fix last dir item being shown twice
  * Revert string change on stable branch
  * [image wallpaper] Show wallpaper title/filename on grid view delegates
  * With software rendering, use outlines instead of shadows on login & lock screen (kde#398317)
  * Update Breeze Look and Feel theme previews
  * [plasmawindowed] Pick up KQuickAddons::QtQuickSettings
  * weather dataengine] noaa: support more "Slight Chance *" forecast strings
  * [weather dataengine] Remove duplicated condition/forecast strings
  * StatusItemNotifier: fix overlays by name with icons by name
  * [weather dataengine] noaa: add another forecast string found in use
  * [weather dataengine] bbc: use night icons for forecast "Tonight"
  * Reload virtual desktop name on change
  * Useful error output when shell loading is aborted due to kactivitymanagerd not being activatable
  * [applets/appmenu] Show placeholder when configuring and empty (kde#403232)
  * [applets/appmenu] Set iconSource properly
  * Handle ShutdowntypeDefault in KSMserver legacy code (kde#403466)
  * [Analog Clock] Port config window to QQC2 and use Kirigami FormLayout
  * [wallpapers/image] Port wallpaper plugins (mostly) to QQC2 (kde#400549)
  * [build] Search for kirigami as a runtime dependency
* Thu Jan 17 2019 fabian@ritter-vogt.de
- Update to 5.14.90
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.14.90.php
- Too many changes to list here
- mkfontdir and xset not required anymore
- Remove patches, now upstream:
  * 0001-Set-XDG_SESSION_TYPE-wayland-in-startplasmacomposito.patch
* Tue Jan  8 2019 fabian@ritter-vogt.de
- Update to 5.14.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.14.5.php
- Changes since 5.14.4:
  * [weather dataengine] envcan: fix typo in forecast string "Mainly sunny"
  * [weather dataengine] envcan: support also "Partly cloudy" forecast
  * [weather dataengine] bbc: adapt to changed strings for same day in forecast
  * [weather dataengine] noaa: add more forecast strings found in use
  * [weather dataengine] Remove duplicated condition/forecast strings
  * [weather dataengine] envcan: support also "Mainly cloudy" forecast
  * [weather dataengine] noaa: use https over http
  * [weather dataengine] noaa: fix unknown icon for Flurries
  * [kuiserver] Debug--
  * [kuiserver] Avoid double warning on terminated jobs
  * Don't exec() hint about deactivating URL grabber (kde#363771)
  * Set error if a kjob host disappears from kuiserver with active jobs
* Wed Nov 28 2018 fabian@ritter-vogt.de
- Update to 5.14.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.14.4.php
- Changes since 5.14.3:
  * [DBusMenuImporter] Don't call removeAction() to avoid an empty QMenu (kde#399975)
  * [Baloo Runner] Filter duplicates and prefer specific type matches
  * [clipboard] Limit length of clipboard text item visualisation
* Tue Nov  6 2018 fabian@ritter-vogt.de
- Add David Edmundson's key to plasma.keyring
- Update to 5.14.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.14.3.php
- Changes since 5.14.2:
  * Only use wl-shell for the ksmserver greeters on Qt < 5.12 (kde#399918)
* Tue Oct 23 2018 fabian@ritter-vogt.de
- Update to 5.14.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.14.2.php
- Changes since 5.14.1:
  * Plasmashell freezes when trying to get free space info from mounted remote filesystem after losing connection to it (kde#397537)
  * [Lock Screen] Do not try to unlock when unvisible (kde#395671)
  * KRunner: remove no longer existant and unused column from SQL query (kde#398305)
* Fri Oct 19 2018 Fabian Vogt <fabian@ritter-vogt.de>
- Don't require plasma-nm5, recommend it only
- Add mkfontdir requires
* Tue Oct 16 2018 fabian@ritter-vogt.de
- Update to 5.14.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.14.1.php
- Changes since 5.14.0:
  * Fix build with gpsd 3.18
  * [Global Menu Applet] Fix menu layout option being always disabled
  * [Device Notifier] Auto-hide popup after device is unmounted
  * [Slideshow Wallpaper] Fix translation of context menu actions
* Fri Oct  5 2018 fabian@ritter-vogt.de
- Update to 5.14.0
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.14.0.php
- Changes since 5.13.90:
  * Fallback to in-process prompt if logout prompt fails
  * [Slideshow] increase default interval from 10 seconds to 15 minutes
  * [Media Controller] Emit moved() signal when seeking with keyboard shortcuts
  * [Hotplug Engine] Update actions at runtime and listen for added/removed
  * Move correct indices in the manual sort map when getting a move() call for group children
  * [Notifications] Store "Open..." action in history (kde#398732)
  * Set gtk-modules to auto-load appmenu-gtk-module
  * Revert "Set gtk-modules to auto-load appmenu-gtk-module"
  * Revert "Update version number for 5.14.80"
  * Klipper: Do not insert secret data into history
* Wed Oct  3 2018 fabian@ritter-vogt.de
- Add xset, xsetroot and xrdb Requires
* Sat Sep 15 2018 fabian@ritter-vogt.de
- Add tarball signature and keyring containing keys of release managers
  Jonathan Riddell and Bhushan Shah
* Thu Sep 13 2018 fabian@ritter-vogt.de
- Update to 5.13.90
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.13.90.php
- Too many changes to list here
* Tue Sep  4 2018 fabian@ritter-vogt.de
- Update to 5.13.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.13.5.php
- Changes since 5.13.4:
  * [MPRIS Data Engine] Avoid blocking calls in media shortcuts handling (kde#397685)
  * [Solid Device Engine] Don't update free space info for inaccessible storage devices
  * [Notifications Engine] Guard "this" (kde#397105)
  * [Service Runner] Look up relative entryPaths
  * [Desktop Scripting ConfigGroup] Add more nullptr checks
  * Use 1 instead of true for gtk-shell-shows-menubar (kde#397087)
* Tue Jul 31 2018 fabian@ritter-vogt.de
- Update to 5.13.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
  * Fix blocky text on splash screen when using non-integer scale factor
  * Disable script execution over DBus when scripting console is disabled
  * [Notifications Engine] Never group notifications with URLs (kde#396741)
* Mon Jul 16 2018 fabian@ritter-vogt.de
- Also split off gmenudbusmenuproxy to allow for Recommends
- plasma-framework-private is no more
- Improve description of xembedsniproxy
* Wed Jul 11 2018 mimi.vx@gmail.com
- move xembedsniproxy to own subpackage
* Tue Jul 10 2018 fabian@ritter-vogt.de
- Update to 5.13.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
  * Don't block startplasma sending DBus call to KSplash
  * [Places Runner] Add place category as subtext
  * [Places Runner] Fix opening search and timeline URLs
  * [Places Runner] Fix opening devices
- Refresh 0001-Rename-qdbus-in-startkde.patch
* Tue Jun 26 2018 fabian@ritter-vogt.de
- Update to 5.13.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.13.2.php
- Changes since 5.13.1:
  * Remove unused entry X-KDE-DBus-ModuleName from kded plugins' metadata
* Tue Jun 19 2018 fabian@ritter-vogt.de
- Update to 5.13.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.13.1.php
- Changes since 5.13.0:
  * None
* Thu Jun  7 2018 fabian@ritter-vogt.de
- Update to 5.13.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.13.0.php
- Changes since 5.12.90:
  * [Slideshow Wallpaper] Ignore hidden files and folders (kde#394882)
  * [Global Menu Applet] Open menu on press
  * Weigh matching services by relating data used in query to their menuids
  * Add mappings for VirtualBox
  * Remove legacy Wine hack-around from rules rc. (kde#393787)
  * Calendar widget: fix resize
* Sat May 19 2018 fabian@ritter-vogt.de
- Update to 5.12.90
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.90.php
- Too many changes to list here
- Add patch to add default desktop icons:
  * 0001-Revert-No-icons-on-the-desktop-by-default.patch
- Remove patches, now upstream:
  * 0001-Add-a-button-to-clear-the-notification-history.patch
  * 0001-Call-KLocalizedString-setApplicationDomain-after-Q-A.patch
  * 0002-Add-platform-detection-to-KWorkspace-library-to-adju.patch
  * 0003-No-longer-export-QT_QPA_PLATFORM-env-variable-to-the.patch
* Mon May  7 2018 fabian@ritter-vogt.de
- Remove runtime dep on update-desktop-files
* Wed May  2 2018 fabian@ritter-vogt.de
- Update to 5.12.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
  * [ksmserver] Use QUrl::fromUserInput to construct sound url (kde#392725)
  * [Image Wallpaper] Fix auto transform for blurred fill (kde#393498)
  * sddm-theme: Focus the password field if enter pressed in the username field
  * [Notifications] Always scroll to the top when opening (kde#391646)
  * [ContextMenu Containment Action] Fix checking for KIOSK (kde#393329)
  * [Power Management Engine] Fix kiosk restriction for lockscreen (kde#393331)
  * [weather dataengine] envcan: fix forecast terms to match "ice pellets"
  * [weather dataengine] bbc: handle and ignore condition "Not Available"
  * [weather dataengine] bbc: handle and skip visbility "--"
  * [OSD] Enforce plain text
  * [weather] BBCUKMET: add missing "thundery showers"
  * [weather] BBCUKMET: add missing "light rain showers"/"heavy rain showers"
  * [weather dataengine] Fix BBC provider to adapt to change RSS feed (kde#392510)
  * KDE logout screen background color fix (kde#382264)
  * fix: Klipper notifications visually broken since plasma 5.12 (kde#390375)
  * [notifications applet] Fix two qml warnings about assigning [undefined]
- Remove patches, now upstream:
  * Fix-weather-engine-BBC-provider.patch
* Mon Apr 23 2018 fabian@ritter-vogt.de
- Add patch to avoid listing all users over NIS:
  * lazy-sddm-theme.patch
* Tue Apr 17 2018 fabian@ritter-vogt.de
- Add patch to add a clear button to the notification history (kde#386068):
  * 0001-Add-a-button-to-clear-the-notification-history.patch
* Sat Mar 31 2018 wbauer@tmo.at
- Add Fix-weather-engine-BBC-provider.patch to adapt the BBC
  weather engine provider to changes in the RSS feed that broke it
  (kde#392510)
* Wed Mar 28 2018 fabian@ritter-vogt.de
- Don't require plasma5-workspace in plasma5-workspace-devel,
  it pulls in a lot of unnecessary requirements and can cause
  build loops
* Tue Mar 27 2018 fabian@ritter-vogt.de
- Update to 5.12.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
  * [notifications applet] Fix two qml warnings about assigning [undefined]
  * Remove long-time deprecated Encoding=UTF-8 from desktop format files
  * [Run Command] Pass "event" to runCurrentIndex
  * Move to KRunner's second results item with a single keypress (kde#392197)
  * Pass proper click coordinates to SNI ContextMenu calls
  * libdbusmenu-qt: Remove nonexistant actions directly from the menu
  * Set a transient parent for SNI context menus
  * [DeviceNotifications Engine] Never show safely remove message when mounting (kde#391180)
  * Use dbus-run-session instead of dbus-launch --exit-with-session
  * [System Tray] Fix hiding applets with HiddenStatus
  * [Notifications] Remove NoAccessNetworkAccessManagerFactory
  * Improve By Desktop sorting for task groups (kde#384747)
  * Use separate config group for each wallpaper plugin
  * Fix duplicated [Desktop Entry] sections in two menu directory files
- Remove patches, now upstream:
  * 0001-Use-dbus-run-session-instead-of-dbus-launch-exit-wit.patch
* Sat Mar 24 2018 fabian@ritter-vogt.de
- Add patches to not set QT_QPA_PLATFORM in a wayland session:
  * 0001-Call-KLocalizedString-setApplicationDomain-after-Q-A.patch
  * 0002-Add-platform-detection-to-KWorkspace-library-to-adju.patch
  * 0003-No-longer-export-QT_QPA_PLATFORM-env-variable-to-the.patch
  * 0001-Set-XDG_SESSION_TYPE-wayland-in-startplasmacomposito.patch
- Set GDK_BACKEND=x11 to work around GTK3 bugs:
  * 0001-Set-GTK_BACKEND-x11-in-a-wayland-session.patch
- Add a suffix to the wayland session's name:
  * 0001-Add-suffix-to-the-wayland-session-s-name.patch
- Apply upstream patches before downstream patches
* Mon Mar 19 2018 fabian@ritter-vogt.de
- Add upstream patch to fix starting a wayland session from gdm and
  lightdm: (boo#1085772):
  * 0001-Use-dbus-run-session-instead-of-dbus-launch-exit-wit.patch
* Tue Mar  6 2018 fabian@ritter-vogt.de
- Update to 5.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.3.php
- Changes since 5.12.2:
  * [media controller applet] Support MPRIS services where CanPause==false
  * [mpris2 dataengine] Fix media key handling to match MediaPlayer2.Player
  * [media controller applet] Fix JS error on no xesam:url data set
  * [mediacontroller applet] Remove de-funct "General" configuration page
  * Fix the userswitcher when using the mouse for switching (kde#391007)
  * Adapt to further nullpointers from prison
* Wed Feb 21 2018 lbeltrame@kde.org
- Update to 5.12.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
  * Fix favicons in firefox bookmarks runner (kde#363136)
  * Remove uninstalled themerc files for no longer existing Qt themes
  * Have all krunner plugin desktop files prefixed with "plasma-runner-"
  - Refreshed patches:
  * 0001-Rename-qdbus-in-startkde.patch
* Tue Feb 13 2018 fabian@ritter-vogt.de
- Update to 5.12.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.1.php
- Changes since 5.12.0:
  * Improve appearance of the logout dialog on wayland
  * Fix Breeze LnF theme data for window decoration
  * Fix dupe handling in requestAddLauncherToActivities; improve unit test
  * [Notifications] Let clear entry also clear history
  * [LauncherTasksModel] Support applications: URLs in requestOpenUrls
  * [appstream runner] Add missing Messages.sh file and set TRANSLATION_DOMAIN
* Fri Feb  2 2018 fabian@ritter-vogt.de
- Update to 5.12.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.0.php
- Changes since 5.11.95:
  * [Notifications] Fix grouping
  * Make sure device paths are quoted
  * Add license header to test
  * Revert "Set GTK scaling env vars" (kde#389523)
  * Revert "Replace bc with awk"
  * Sanitise notification HTML
  * Add missing find_dependency calls to libs' CMake config files
  * Fix krunner's alt+f2 on wayland (kde#385693)
  * Further improve quality of images in notifications (kde#385097)
  * Fix autohide panels on wayland (kde#377838)
  * Improve quality of images in notifications (Bug 385097) (kde#385097)
  * [Notifications] Unset Heading default height (kde#381154)
  * [Notifications] Unset Heading default height (kde#381154)
  * [Notifications] Put history into a ListView (kde#389132)
  * [Notifications] Disable history check box when notifications are disabled
  * [PanelView] Also requestActivate config dialog
  * Require KDE Frameworks 5.42
  * [Calculator Runner] Fix unused variable warning
  * [Calculator Runner] Move action check outside of ifdef
* Mon Jan 15 2018 fabian@ritter-vogt.de
- Update to 5.11.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.95.php
- Too many changes to list here
- Adjust 0001-Rename-qdbus-in-startkde.patch
* Tue Jan  2 2018 fabian@ritter-vogt.de
- Update to 5.11.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.5.php
- Changes since 5.11.4:
  * [widgetexplorer] Fix trying to show deleted dialog
  * Remove i18n() calls from iconSource names
  * [widgetexplorer] Make sure KNS download dialog is destroyed
  * [weather] NOAA ion: Show some icons for "Hot" and "Cold" forecasts (kde#365715)
  * [weather] NOAA ion: update link in comments
* Mon Dec  4 2017 fabian@ritter-vogt.de
- Only recommend, not require, kio-extras5
* Sat Dec  2 2017 fabian@ritter-vogt.de
- Add explicit BuildRequires for xrender and xtst
* Thu Nov 30 2017 fabian@ritter-vogt.de
- Update to 5.11.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.4.php
- Changes since 5.11.3:
  * Dict Engine: cache available dicts
  * Dict engine: remove two redundant lines
  * Dict engine: remove double quotes around dictionary descriptions.
  * [weather] ion template: remove bogus translation strings
  * Preserve the order in dbus menu when doing action reusing.
  * Be more explicit about Qt5::Widgets dependencies
* Thu Nov 23 2017 rbrown@suse.com
- Replace references to /var/adm/fillup-templates with new
  %%_fillupdir macro (boo#1069468)
* Tue Nov  7 2017 fabian@ritter-vogt.de
- Update to 5.11.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.3.php
- Changes since 5.11.2:
  * DictEngine: set a scheme for the URLs, otherwise webengine won't handle them
  * Align logout screen action buttons to the top (kde#371249)
  * Sync xwayland DPI font to wayland dpi
* Tue Oct 24 2017 fabian@ritter-vogt.de
- Update to 5.11.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.2.php
- Changes since 5.11.1:
  * Sync xwayland DPI font to wayland dpi
  * Dict Engine: various cleanups
  * Dict Engine: improve error handling.
* Sat Oct 21 2017 fabian@ritter-vogt.de
- Add #!BuildIgnore to break the kwin5 -> kdialog dep chain which
  results in pulling in kdebase4-runtime on 42.2
* Tue Oct 17 2017 fabian@ritter-vogt.de
- Update to 5.11.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.1.php
- Changes since 5.11.0:
  * [LauncherTasksModel] Try resolving absolute path to applications: URL before adding launcher
  * [Task Tools] Treat applications: and respective absolute path equal in launcherUrlsMatch (kde#385594)
  * [StartupTasksModel] Try resolving startup application id to applications: URL
  * Fix "postEvent: null receiver" warning due to nullptr->deleteLater()
  * Remove compilation flag for non-existing source file
  * Revert "Remove pointless data copy in lockscreen delegate"
- Remove patches, now upstream:
  * fix-switch-user.patch
* Wed Oct 11 2017 wbauer@tmo.at
- Add fix-switch-user.patch to fix being unable to switch users
  from the Switch User screen
* Thu Oct  5 2017 fabian@ritter-vogt.de
- Update to 5.11.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.0.php
- Changes since 5.10.95:
  * update selected wallpaper when adding from file browser
  * Stop setting the QQC1 style in startkde
  * Fix another test failure.
  * Fix test failure after favorites URL mangling refactoring.
  * [PowerDevil Runner] Obliterate traces of power profiles
  * [TasksModel] Use std::acumulate on the QHash directly
  * remove extra executable bits
  * Don't set QQC Style in startkde
  * Unhide autohidden panel when using global menu (kde#384861)
  * Use a separate config value for Wayland font DPI
* Sun Sep 17 2017 smurf.anon@gmail.com
- Remove the fix related to a knotifications bug (boo#1046458):
  * bug is fixed upstream (knotifications 5.38.0)
* Thu Sep 14 2017 fabian@ritter-vogt.de
- Update to 5.10.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.95.php
- Too many changes to list here
- Remove patches, now upstream:
  * plasma5-workspace/0001-Don-t-search-for-and-link-to-libcln-when-using-libqa.patch
  * plasma5-workspace/applauncher-allow-to-show-apps-by-name.patch
  * plasma5-workspace/logoutdialog-honor-Offer-shutdown-options.patch
- Move plasma5-session into here
- Convert kde-plasma.desktop session file to link to avoid duplicate
  entries in display managers
- Add AppStreamQt BuildReq
* Wed Aug 30 2017 fabian@ritter-vogt.de
- Add patch to fix build with qalculate 2.0:
  * 0001-Don-t-search-for-and-link-to-libcln-when-using-libqa.patch
* Tue Aug 22 2017 fabian@ritter-vogt.de
- Update to 5.10.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.5.php
- Changes since 5.10.4:
  * Fix QSortFilterProxyModelPrivate::updateChildrenMapping crash in libtaskmanager (kde#381006)
  * [Notifications] Clean up States
  * Don't change fillMode of image just before deleting it
  * Disable kuiserver debug output by default; make it appear in kdebugsettings.
  * [Battery Monitor] Fix icon size for InhibitionHint (kde#383213)
  * [Notifications] Improve mouse handling (kde#382263)
  * Use correct easing type values (kde#382834)
  * Prefer using https for kns providers
  * Improve unittest for renaming desktop icons
  * [AppMenu Applet] Pass "ctx" as context instead of "this" (kde#382386)
  * [Klipper ModelTest] Fix build
  * [TasksModel] Use LauncherUrlWithoutIcon in move method
  * [LauncherTasksModel] Emit dataChanged for LauncherUrlWithoutIcon on sycoca change
* Fri Aug 18 2017 fabian@ritter-vogt.de
- Fix more uses of qdbus in 0001-Rename-qdbus-in-startkde.patch
* Thu Aug 17 2017 fabian@ritter-vogt.de
- Remove Recommends on sni-qt to not pull in Qt4 unconditionally
  (sni-qt supplements packageand(plasma5-workspace:libqt4) now)
* Sun Aug 13 2017 fabian@ritter-vogt.de
- Recommend libqt5-qtvirtualkeyboard as the default lockscreen
  theme has a button to open it
* Fri Aug  4 2017 wbauer@tmo.at
- Require libqt5-qdbus and libqt5-qtpaths instead of the full
  libqt5-qttools package which also contains development tools
  (boo#988808)
* Tue Jul 18 2017 fabian@ritter-vogt.de
- Update to 5.10.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.4.php
- Changes since 5.10.3:
  * Fix compilation with current cmake (git branch release).
  * [Notification Item] Enforce PlainText for summary
  * [Notifications] Check for corona to avoid crash (kde#378508)
  * [Windowed Widgets Runner] Fix launching widget
  * [lookandfeel/lockscreen] Fix state handling when clicking the keyboard's own hide button (kde#381833)
- Remove patches, now upstream:
  * Notifications-Check-for-corona-to-avoid-crash.patch
* Wed Jul 12 2017 wbauer@tmo.at
- Add Notifications-Check-for-corona-to-avoid-crash.patch to
  prevent a Plasma crash when removing a panel that has a system
  tray with the Notifications applet (boo#1046500, kde#378508)
* Sun Jul  9 2017 wbauer@tmo.at
- Add logoutdialog-honor-Offer-shutdown-options.patch to make the
  logout dialog respect the "Offer shutdown options" setting and
  hide "Reboot" and "Shutdown" if disabled (boo#1008844)
* Sat Jul  1 2017 wbauer@tmo.at
- Add applauncher-allow-to-show-apps-by-name.patch to provide an
  option to display application names instead of the generic names
  in the desktop containment's application launcher mouse action
  (kde#358423, boo#974513)
* Wed Jun 28 2017 wbauer@tmo.at
- Delete org.kde.plasma.Notifications.service, this causes problem
  for KDE applications when they are being run on a different
  desktop or remotely via ssh (boo#1046458)
* Tue Jun 27 2017 fabian@ritter-vogt.de
- Update to 5.10.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.3.php
- Changes since 5.10.2:
  * [xembedsniproxy] Free windowAttributes in every case
  * Use KRun::runApplication when possible; split out and share more code.
  * Use KRun::runApplication, add missing KActivities::notifyAccessed calls. (kde#381500)
  * [AppMenu Applet] Workaround Connections bug in Qt >= 5.8 (kde#375535)
  * [AppMenu Applet] Wire up DBusMenuImporter::actionActivationRequested (kde#376726)
  * fix attachment signals
  * [xembedsniproxy] Fix memleak and possible crash
- Remove patches, now upstream:
  * xembedsniproxy-fix-possible-crash.patch
- Use %%kf5_find_htmldocs
* Sat Jun 17 2017 wbauer@tmo.at
- Add xembedsniproxy-fix-possible-crash.patch to fix a possible
  crash
* Tue Jun 13 2017 fabian@ritter-vogt.de
- Update to 5.10.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.2.php
- Changes since 5.10.1:
  * [Icon Applet] Repopulate if URL didn't change (kde#380922)
  * Fix binding loop in ClipboardItemDelegate
  * Squelch warning.
* Tue Jun  6 2017 fabian@ritter-vogt.de
- Update to 5.10.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.1.php
- Changes since 5.10.0:
  * Fix testing when the test has qml syntax errors
  * Fix variable name and logic
  * Only enable MPRIS global shortcuts on demand (kde#380526)
  * Small fix on test helper
  * [xembedsniproxy] Fix check whether to use XTest (kde#362941,kde#375017)
  * dont' crash if we don't have a launcherTasksModel
  * don't show logout when kauthorized doesn't want it (kde#380344)
  * [TaskGroupingProxyModel] Use LauncherUrlWithoutIcon
  * Always add data sources in SystemMonitorEngine::sourceRequestEvent() (kde#380209)
- Remove patches, now upstream:
  * xembedsniproxy-fix-using-XTest.patch
  * 0001-dont-crash-if-we-don-t-have-a-launcherTasksModel.patch
* Wed May 31 2017 wbauer@tmo.at
- Add xembedsniproxy-fix-using-XTest.patch to fix clicking on
  system tray icons of certain applications, mainly GTK3 and Java
  (boo#1026999, kde#362941, kde#375017)
* Tue May 30 2017 fabian@ritter-vogt.de
- Add patch to fix crash with active-window-control plasmoid:
  * 0001-dont-crash-if-we-don-t-have-a-launcherTasksModel.patch
* Fri May 26 2017 fabian@ritter-vogt.de
- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * Always add data sources in SystemMonitorEngine::sourceRequestEvent() (kde#380209)
  * Fix co-installability with other DBus activated notification services
  * We should not forget the launchers that are not currently shown
  * remove useless debug
  * don't check for panel visible during startup
  * [Weather] Fix term used for thunderstorm in bbcukmet data db
  * [Weather] Add missing strings from bbcukmet data db
  * [Weather] Remove duplicated/bad strings from bbcukmet data db
  * [Weather] Fix lookup of bbcukmet translations strings, stored in lowercase
  * [Weather] Fix term used for thunderstorm in bbcukmet data db
  * [Weather] Add missing strings from bbcukmet data db
  * [Weather] Remove duplicated/bad strings from bbcukmet data db
  * [Weather] Fix lookup of bbcukmet translations strings, stored in lowercase
* Thu May 11 2017 fabian@ritter-vogt.de
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Too many changes to list here
- Remove patches, now upstream:
  * change-kioremote-severity.patch
  * 0001-Some-UI-fixes-for-logout-dialog.patch
  * revert-autostart-krun.patch
* Thu Apr 27 2017 lbeltrame@kde.org
- Add upstream patch revert-autostart-krun.patch:
  * Fix Plasma start  if a non existent executable was supplied as
    autostart script / program
* Tue Apr 25 2017 lbeltrame@kde.org
- Update to 5.9.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
  * Update the ungrab mouse hack for Qt5.8
  * use KProcess instead of QProcess to launch apps in ksmserver
  * launch autostart apps in ksmserver using KRun, not QProcess (kde#369391, kde#370528)
  * recognize the WM even if given with a full path
  * Don't remove other applets in SystemTray::cleanupTask
  * [Media Controller] Enforce PlainText format
  * [Media Controller] Enforce PlainText format
  * Fix off-by-one.
  * [Media Controller] Use double for length instead of int (kde#377623)
  * When deleting the panel the notifications applet is in, the containment is being destroyed but the corona is still there and rightfully emits availableScreenRectChanged. This will cause us to crash when we try to access the no-longer existing containment.
  * Fix losing wallpaper selection when clicking "Apply".
  * Correctly handle when a new primary screen displaces the old
  * Fix TasksModel.anyTaskDemandsAttention not updating on window closure. (kde#378254)
  * [Windowed Widgets Runner] Fix mimeDataForMatch
  * Connect aboutToHide signal from QMenu to relevant libdbusmenu-qt slot (kde#375053)
  * [Calculator Runner] Use "approximate" approximation mode (kde#277011)
  * [OSD] Allow disabling OSD through config file
* Sun Apr 16 2017 fabian@ritter-vogt.de
- No longer generate org.kde.plasma.private.systemtray.appdata.xml manually,
  bug fixed in kpackage meanwhile
* Thu Apr 13 2017 fabian@ritter-vogt.de
- Add patch to fix some logout UI issues:
  * 0001-Some-UI-fixes-for-logout-dialog.patch
* Sat Apr  8 2017 fabian@ritter-vogt.de
- Remove empty files in %%_kf5_appstreamdir
* Tue Mar 21 2017 fabian@ritter-vogt.de
- Update to 5.9.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.4.php
- Changes since 5.9.3:
  * do not add debugger button unless it is meant to be visible
  * manage mouse events when out of the window (kde#377545)
  * don't emit availableScreenRectChanged when quitting
  * try proper order of corona()->availableScreenRect() (kde#377298)
  * [Notifications] Keep popup opened during drag
  * Ignore NoDisplay=true .desktop entries when matching by Name.
  * Preview Centered wallpaper as PreserveAspectFit (kde#375675)
  * Only activate kded Appmenu signals if menus are in the window decoration
  * Open the correct submenu in kwin menu when activating the Appmenu with a shortcut
  * try harder to make the selected wallpaper visible
* Sat Mar 11 2017 dimstar@opensuse.org
- Provide dbus(org.freedesktop.Notifications): plasmashell
  implements the Notifications interface.
* Tue Feb 28 2017 fabian@ritter-vogt.de
- Update to 5.9.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.3.php
- Changes since 5.9.2:
  * Remove deprecated --shut-up start flag
  * Fix another regression with rearranging launchers in an activities world.
  * [Media Controller] Round button size for play button
  * try harder to make the selected wallpaper visible
  * [Logout Screen] Show suspend button only if supported
  * Map StartupWMClass for Chrome apps instead of RegExp'ing the name
  * [kioslave/remote] Fix broken kded module
  * Port to QMultiHash.
  * Only remove + announce if leader change actually occured, avoid excessive loop.
  * Fix crash.
  * [Notifications] Never manually hide() the NotificationPopup
  * Add comment laying out goals.
  * Fix crash when switching activities.
  * Tweak alphabetic (default) sort behavior.
- Remove patches, now upstream:
  * 0001-Fix-another-regression-with-rearranging-launchers-in.patch
* Thu Feb 23 2017 fabian@ritter-vogt.de
- Add patch to fix regression in Plasma 5.9:
  * 0001-Fix-another-regression-with-rearranging-launchers-in.patch
* Mon Feb 20 2017 wbauer@tmo.at
- drkonqi can use konsole again, the problems there are fixed
* Tue Feb 14 2017 fabian@ritter-vogt.de
- Update to 5.9.2
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
  * TaskManager: add icon to cache after painfully querying it over XCB/NETWM.
  * Pass args to DataEngine superclass constructor
  * turn the NotificationItem in a MouseArea
  * [DesktopView] show() ConfigView when it is already opened
  * Match QtQuick import to minimum Qt version
  * [Clipboard plasmoid] Fix line breaks
  * [System Tray] Part Revert "Trigger context menu on press" as this breaks xembedsniproxy
  * Rename Application Menu to Global Menu to avoid conflict
  * [kioslave/remote] Fix porting bugs
  * [Icon Applet] More sensible minimum height
  * make services disqualification much stricter
  * [System Tray Containment] Drop useless Q_INVOKABLE from .cpp file
  * [System Tray Containment] Ungrab mouse before opening context menu
- Remove patches, now upstream:
  * 0001-make-services-disqualification-much-stricter.patch
* Sun Feb 12 2017 fabian@ritter-vogt.de
- Add workaround for boo#1024326, kde#376394:
  * Copy org.kde.plasma.systemtray.appdata.xml to
    org.kde.plasma.private.systemtray.appdata.xml to fix missing summary
* Tue Feb  7 2017 fabian@ritter-vogt.de
- Update to 5.9.1
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.1.php
- Changes since 5.9.0:
  * [User Switcher] Ungrab keyboard before trying to lock the screen
  * react to config change
  * [System Tray Containment] Drop useless Q_INVOKABLE from .cpp file
  * [System Tray Containment] Ungrab mouse before opening context menu
  * [AppMenu Applet] Map from scene after mapping from global
  * Fix memory leak in Appmenu when using compact menu
  * [Appmenu Applet] Check whether buttonGrid has a window before calling mapToGlobal
  * [Digital Clock] Take into account timezone label width for applet size
  * [KRunner] In doubt use primary screen for view position
  * Drop legacy fixup rule for VirtualBox.
  * fix isOutputRedundant logic
  * fix isOutputRedundant logic
  * When swapping Wallpapers, save the config to file, not just to propertymap
- Remove patches, now upstream:
  * 0001-When-swapping-Wallpapers-save-the-config-to-file-not.patch
  * 0002-fix-isOutputRedundant-logic.patch
- Add patch to fix 5.9.0 regression:
  * 0001-make-services-disqualification-much-stricter.patch
* Sat Jan 28 2017 wbauer@tmo.at
- Add cmake(KF5Prison) build requirement to enable the clipboard's
  barcode generation feature
* Sat Jan 28 2017 fabian@ritter-vogt.de
- Bump required KF5 version to 5.29
- Add upstream patch to fix some multiscreen issues:
  * 0002-fix-isOutputRedundant-logic.patch
* Thu Jan 26 2017 fabian@ritter-vogt.de
- Update to 5.9.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.0.php
- Add upstream patch to fix kde#375532:
  * 0001-When-swapping-Wallpapers-save-the-config-to-file-not.patch
- Changes since 5.8.95:
  * [Icon Applet] Use KIO::statJob to work with remote URLs
  * Fix group parents not appearing when disabling inline grouping.
  * [Image Wallpaper] Provide fallback for thumbnail size of no "plasmoid" around
  * only reset the model after componentComplete()
  * [lookandfeel] Breeze window decoration
  * Fix "Unpin" for tasks pinned to specific activities.
  * applets/icon: Set i18n domain (patch by Victor<victorr2007@narod.ru>)
  * use Q_FOREACH in this branch
  * Corona::screenGeometryChanged on qscreen resized
  * add #include <QtQml> for old Qt versions
  * Replace std::bind with lambda.
  * try to put annotations before parameters definition
  * fix dbus xml compilation
  * guard against menu being deleted whilst updating
  * Hide menu if the menu disappears off DBus
  * Don't re-evaluate the model constantly whilst looping through windows
  * Generate DBusMenu Interface for libdbusmenuqt
  * pre-load the first layer of sub menus
  * Signal which menu has updated in libdbusmenu-qt
  * Don't hide applet when it needs configuring
  * Don't load menu when switching window focus to the desktop
  * Keep AppletMenu as small as possible
  * Fix calling KWindowSystem::windowType without fetching the type
  * Enable Edit Action in plasmoid mode
  * Fix mapToGlobal
  * Show "All Widgets" even when showSpecialFilters=false.
  * [Icon Applet] Rename open() to run() to fix compilation on 32-bit
* Thu Jan 12 2017 fabian@ritter-vogt.de
- Update to 5.8.95 (Plasma 5.9 Beta)
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.95.php
- Changes:
  * See https://www.kde.org/announcements/plasma-5.8.5-5.8.95-changelog.php#plasma-workspace
- Remove patches, now upstream:
  * 0001-better-clean-up-of-duplicate-containments.patch
- Workaround made unnecessary by upstream commits:
  * add-tray-icon-cache.patch
* Tue Jan 10 2017 fabian@ritter-vogt.de
- Add experimental patch to fix some dangling duplicate
  containments in the -appletsrc:
  * 0001-better-clean-up-of-duplicate-containments.patch
* Thu Dec 29 2016 tittiatcoke@gmail.com
- Require also the main package from the devel package. This is
  required to get the required layouts for the servicetypes.
* Tue Dec 27 2016 fabian@ritter-vogt.de
- Update to 5.8.5
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.5.php
* Wed Nov 23 2016 fabian@ritter-vogt.de
- Update to 5.8.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.4.php
- Remove patches, now upstream:
  * 0001-taskmanagerrulesrc-Add-Rewrite-Rule-for-Google-chrom.patch
  * 0002-make-sure-all-outputs-are-known.patch
  * 0003-Sync-app-config-in-sync-with-applets-config.patch
  * 0004-Avoid-connecting-to-screen-changed-signals-twice.patch
  * 0005-Load-screenpool-at-the-same-time-as-we-connect-to-sc.patch
  * Look-for-both-json-and-desktop-metadata.patch
  * keep-wallpaper-aspect-ratio-wallpaper-on-screen-resolution-change.diff
  * plasma5-workspace.spec
  * use-nearest-aspect-ratio-available-wallpaper.diff
* Sat Nov 12 2016 wbauer@tmo.at
- Add Look-for-both-json-and-desktop-metadata.patch to fix adding a
  panel or plasmoid with the new json metadata files
* Thu Nov 10 2016 fabian@ritter-vogt.de
- Backport several commits for better multiscreen handling:
  * 0001-taskmanagerrulesrc-Add-Rewrite-Rule-for-Google-chrom.patch
  * 0002-make-sure-all-outputs-are-known.patch
  * 0003-Sync-app-config-in-sync-with-applets-config.patch
  * 0004-Avoid-connecting-to-screen-changed-signals-twice.patch
  * 0005-Load-screenpool-at-the-same-time-as-we-connect-to-sc.patch
  * kde#372099,kde#371858,kde#371991,kde#371819,kde#371734
  * boo#1003438
* Thu Nov  3 2016 fabian@ritter-vogt.de
- Introduce new _plasma5_bugfix global for more fine-tuned dependencies
* Wed Nov  2 2016 wbauer@tmo.at
- Call qtpaths with an absolute path in startkde to make sure the
  system one is used (boo#1004769)
* Wed Nov  2 2016 alarrosa@suse.com
- Add use-nearest-aspect-ratio-available-wallpaper.diff to improve the
  selection of wallpapers keeping the same (or as similar as possible)
  aspect ratio (boo#990257). Include the latest changes submitted
  upstream to work better with QUAD HD screen resolutions.
* Tue Nov  1 2016 fabian@ritter-vogt.de
- Update to 5.8.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.3.php
- Remove upstream patches:
  * fix-sddm-theme-logic.diff
  * remove-sddm-graphicaleffects-dep.patch
* Sun Oct 23 2016 fabian@ritter-vogt.de
- Remove Requires again, backport import removal
  * remove-sddm-graphicaleffects-dep.patch
* Sat Oct 22 2016 fabian@ritter-vogt.de
- Add Requires: libqt5-qtgraphicaleffects as used by the sddm theme
* Fri Oct 21 2016 alarrosa@suse.com
- Added fix-sddm-theme-logic.diff so sddm offers the text entry boxes
  by default (instead of an empty user list) when the userlist model
  is empty (boo#1003742)
* Tue Oct 18 2016 fabian@ritter-vogt.de
- Update to 5.8.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.2.php
* Tue Oct 11 2016 fabian@ritter-vogt.de
- Update to 5.8.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.1.php
- Removed upstream patches:
  * 0001-save-the-containment-only-aftyer-switch.patch
- Remove copyrighted picture (kde#370490)
* Fri Oct  7 2016 alarrosa@suse.com
- Add keep-wallpaper-aspect-ratio-wallpaper-on-screen-resolution-change.diff:
  * Chooses a new preferred background image when the screen
    resolution is changed to keep the correct aspect ratio (boo#990257).
    Also check for division by zero.
* Thu Oct  6 2016 fabian@ritter-vogt.de
- Add 0001-save-the-containment-only-aftyer-switch.patch:
  * Without this it would always change back to the folderview
    after login (boo#1003399)
* Wed Oct  5 2016 fabian@ritter-vogt.de
- Add Source: URL back
* Mon Oct  3 2016 fabian@ritter-vogt.de
- Update 0001-Ignore-default-sddm-face-icons.patch to not break
  all .face.icon (boo#1001364)
* Sun Oct  2 2016 fabian@ritter-vogt.de
- Add add-tray-icon-cache.patch (kde#356479):
  * High load due to animated tray icons
* Sat Oct  1 2016 fabian@ritter-vogt.de
- Add 0001-Ignore-default-sddm-face-icons.patch (boo#1001364):
  * The default SDDM face icons are too dark to be used with
    the default backgrounds
* Thu Sep 29 2016 fabian@ritter-vogt.de
- Update to 5.8.0
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.0.php
- Remove patches (now upstream):
  * 0001-wait-before-creating-the-panel.patch
  * fix-breeze-sddm-theme-with-many-users-2.patch
  * fix-wallpaper-not-having-correct-aspect-ratio.diff
* Tue Sep 27 2016 alarrosa@suse.com
- Add fix-breeze-sddm-theme-with-many-users-2.patch: Makes the
  breeze theme in sddm show username/password directly instead of
  a user list when there's more than N users in the system where
  N is defined in sddm.conf, under the Theme section, in the
  UsersThresholdToDisableAvatars variable.
* Sat Sep 24 2016 fabian@ritter-vogt.de
- Add 0001-wait-before-creating-the-panel.patch to work around race
  condition for panel transparency (boo#1000109)
* Thu Sep 22 2016 fabian@ritter-vogt.de
- Add change-kioremote-severity.patch to avoid filling the home folder
  with useless log messages (boo#997173)
* Thu Sep 22 2016 alarrosa@suse.com
- Added fix-wallpaper-not-having-correct-aspect-ratio.diff . The previous
  algorithm to choose a wallpaper preferred the ones with the closest area
  giving preference to downscaling over upscaling. This patch changes that
  to use that algorithm first only in wallpapers with the same aspect ratio
  as the screen and then using the old algorithm as fallback if no wallpaper
  has the same aspect ratio (boo#990257)
* Wed Sep 21 2016 fabian@ritter-vogt.de
- Use %%{_plasma5_version} like other packages
- Remove patch plasmashell-disable-windowclosing-on-logout.patch
  * now upstream
- Fix self-obsoletion
* Mon Sep 19 2016 wbauer@tmo.at
- Move german docs to lang subpackage again
* Thu Sep 15 2016 fabian@ritter-vogt.de
- Update to 5.7.95 (Plasma 5.8 Beta)
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.95.php
- Removed patches:
    Configuration-option-for-System-Tray-icon-size.patch
    Use-iconName-instead-of-icon-in-all-runners.patch
    add-separate-autostart-file-for-klipper.patch
    fix-breeze-sddm-theme-with-many-users.patch
    require-qt56.diff
* Tue Sep 13 2016 fabian@ritter-vogt.de
- Update to 5.7.5
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.5.php
* Fri Aug 26 2016 fabian@ritter-vogt.de
- Update to 5.7.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.4.php
- Refresh plasma5-workspace.spec
* Tue Aug 23 2016 wbauer@tmo.at
- Add Use-iconName-instead-of-icon-in-all-runners.patch to fix
  problems in KRunner caused by QIcon not being thread-safe
  (boo#994983, kde#355122, kde#356957)
* Tue Aug 16 2016 wbauer@tmo.at
- Use xterm to install the debug packages in drkonqi, konsole
  doesn't handle the -e parameter correctly currently
  (boo#990353, kde#366793)
* Fri Aug 12 2016 hrvoje.senjan@gmail.com
- Adjust filelist for the plasmoid appdata, installed with KF > 5.25.0
* Thu Aug 11 2016 wbauer@tmo.at
- Add add-separate-autostart-file-for-klipper.patch to prevent
  klipper from autostarting in e.g. GNOME (boo#993334)
* Wed Aug  3 2016 fabian@ritter-vogt.de
- Remove 0001-Workaround-kde-362531.patch as fixed in kwindowsystem
* Tue Aug  2 2016 hrvoje.senjan@gmail.com
- Update to 5.7.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.3.php
- Drop upstreamed patches:
  0002-don-t-try-to-load-layout-before-kamd-starts.patch
  0006-Treat-IsDemandingAttention-as-IsOnAllVirtualDesktops.patch
  0007-apparently-containment-can-be-null.patch
  0010-Properly-registering-existing-activities-before-load.patch
  0001-check-harder-to-include-only-desktops-in-desktops.patch
* Mon Aug  1 2016 alarrosa@suse.com
- Added fix-breeze-sddm-theme-with-many-users.patch again.
  This is still needed since upstream dropped the planned changes
  on the login breeze theme from the 5.7 release.
* Sat Jul 30 2016 fabian@ritter-vogt.de
- Add 0001-Workaround-kde-362531.patch as a workaround for
    kde#362531
* Fri Jul 29 2016 fabian@ritter-vogt.de
- Remove 0005-Missing-method-for-activity-deletion-from-plasma-scr.patch
  Not only unnecessary, but also reverted by later patch.
* Thu Jul 28 2016 hrvoje.senjan@gmail.com
- Added patches from upstream:
  0002-don-t-try-to-load-layout-before-kamd-starts.patch
  0005-Missing-method-for-activity-deletion-from-plasma-scr.patch
  0006-Treat-IsDemandingAttention-as-IsOnAllVirtualDesktops.patch
  0007-apparently-containment-can-be-null.patch
  0010-Properly-registering-existing-activities-before-load.patch
  0001-check-harder-to-include-only-desktops-in-desktops.patch
* Wed Jul 20 2016 hrvoje.senjan@gmail.com
- Update to 5.7.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.2.php
* Sat Jul 16 2016 hrvoje.senjan@gmail.com
- Added Configuration-option-for-System-Tray-icon-size.patch from
  upstream
* Wed Jul 13 2016 hrvoje.senjan@gmail.com
- Update to 5.7.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.1.php
* Tue Jul  5 2016 wbauer@tmo.at
- Use the new %%kf5_find_lang macro to create the file list for the
  lang package
- Remove rpmlintrc file, it is not needed any more now
* Thu Jun 30 2016 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.0.php
- Drop create_kdehome.patch and fix-breeze-sddm-theme-with-many-users.patch
- Add require-qt56.diff: we know our Qt package has the right patch,
  so we don't need to depend on 5.6.1
* Mon Jun 13 2016 fvogt@suse.com
- Add missing Requires: in branding subpackage (boo#968427)
* Mon May 16 2016 jengelh@inai.de
- Run fdupes to compact duplicate files
* Sun May 15 2016 hrvoje.senjan@gmail.com
- Update to 5.6.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.4.php
- Drop upstreamed patches:
  digitalclock-fix-show-seconds.patch and kuiserver5_qApp.patch
* Tue Apr 19 2016 wbauer@tmo.at
- Add digitalclock-fix-show-seconds.patch: Fixes displaying seconds
  in the digital clock which was broken with certain locales
  ("C" e.g.)
* Tue Apr 19 2016 hrvoje.senjan@gmail.com
- Update to 5.6.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.3.php
* Wed Apr  6 2016 alarrosa@suse.com
- Don't apply plasmashell-disable-windowclosing-on-logout.patch
  in SLE12 since Qt 5.5.1 in SLE12 is not patched to support the new
  session management API from 5.6.0 .
* Tue Apr  5 2016 hrvoje.senjan@gmail.com
- Update to 5.6.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.2.php
* Tue Mar 29 2016 hrvoje.senjan@gmail.com
- Update to 5.6.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.1.php
- Drop upstreamed xembedsniproxy-avoid-ghost-entry.patch
* Sun Mar 20 2016 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.0.php
* Wed Mar  2 2016 wbauer@tmo.at
- Added xembedsniproxy-avoid-ghost-entry.patch from upstream:
  prevents an empty icon being shown when e.g. fcitx is running
  (boo#954623, kde#358719)
* Tue Mar  1 2016 hrvoje.senjan@gmail.com
- Update to 5.5.5 (boo#968966)
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.5.php
- Drop upstreamed fix-session-switch.patch and
  reset-the-model-on-list-always-shown-hide-change.patch
* Fri Feb 26 2016 hrvoje.senjan@gmail.com
- Update plasmashell-disable-windowclosing-on-logout.patch to
  upstream version (but apply it for Qt >= 5.5.1)
* Thu Feb 25 2016 hrvoje.senjan@gmail.com
- Added fix-session-switch.patch (kde#356945, boo#967538)
* Fri Feb 19 2016 wbauer@tmo.at
- Added plasmashell-disable-windowclosing-on-logout.patch: prevent
  plasma from closing too early on logout resulting in an unusable
  desktop if the logout is cancelled (boo#955280, kde#349805)
* Tue Feb 16 2016 hrvoje.senjan@gmail.com
- Added kuiserver5_qApp.patch (boo#965922)
* Thu Feb  4 2016 hrvoje.senjan@gmail.com
- Added reset-the-model-on-list-always-shown-hide-change.patch
  (kde#357627, kde#352055)
* Tue Jan 26 2016 hrvoje.senjan@gmail.com
- Update to 5.5.4:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.4.php
- Drop xembedsniproxy-check-for-null-geometry.patch, upstreamed
* Wed Jan 20 2016 wbauer@tmo.at
- Add xembedsniproxy-check-for-null-geometry.patch: fixes an
  xembedsniproxy crash (boo#954623, kde#355463, kde#358227)
* Wed Jan  6 2016 hrvoje.senjan@gmail.com
- Update to 5.5.3:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.3.php
* Tue Dec 22 2015 hrvoje.senjan@gmail.com
- Update to 5.5.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.2.php
* Tue Dec 15 2015 hrvoje.senjan@gmail.com
- Update to 5.5.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.1.php
- Drop upstreamed patches:
  0001-notifications-Check-if-the-popup-is-visible-before-u.patch
  0002-notifications-Move-reading-globalConfig-from-ctor-to.patch
  0003-Make-comment-section-of-the-timezones-configuration-.patch
  0004-notifications-Fix-default-notification-position-sett.patch
  0001-Forward-mouse-enter-and-leave-events-on-feathered-ed.patch
  kde355684.patch
  use-old-connect-syntax.patch
* Sat Dec 12 2015 hrvoje.senjan@gmail.com
- Update to 5.5.0:
  * For more details please see:
    https://dot.kde.org/2015/12/08/plasma-55-beautiful-new-artwork
- Move to cmake(...) BuildRequires where possible
- Drop no longer needed fix-wayland-requirement.patch and rb125743.patch
- Added patches from upstream:
  0001-notifications-Check-if-the-popup-is-visible-before-u.patch
  0002-notifications-Move-reading-globalConfig-from-ctor-to.patch
  0003-Make-comment-section-of-the-timezones-configuration-.patch
  0004-notifications-Fix-default-notification-position-sett.patch
  0001-Forward-mouse-enter-and-leave-events-on-feathered-ed.patch
  kde355684.patch
  use-old-connect-syntax.patch
* Fri Dec  4 2015 alarrosa@suse.com
- Rebased fix-breeze-sddm-theme-with-many-users.patch in preparation
  for 5.5.0
* Wed Nov 25 2015 opensuse@cboltz.de
- add dependency on xprop (called by /usr/bin/startkde)
* Fri Nov 20 2015 alarrosa@suse.com
- Renamed userlist model property from UsersThresholdToDisableAvatars
  to disableAvatarsThreshold as in the patch finally accepted
  by sddm developers.
* Wed Nov 11 2015 alarrosa@suse.com
- Adds patch fix-breeze-sddm-theme-with-many-users.patch: Makes the
  breeze theme in sddm show username/password editlines instead of
  a user list when there's more than N users in the system where
  N is defined in sddm.conf, under the Theme section, in the
  UsersThresholdToDisableAvatars variable.
  This patch together with patches in sddm fix bnc#953778
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.4.3 (boo#955068):
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.3.php
* Fri Oct 23 2015 hrvoje.senjan@gmail.com
- Make sure users have pam_unix module in place so the screenlocker
  works when upgrading from openSUSE < 12.3 (boo#931296)
* Wed Oct 21 2015 hrvoje.senjan@gmail.com
- Try to fix wrong image scaling in kspash (boo#950799): rb125743.patch
* Sun Oct 18 2015 hrvoje.senjan@gmail.com
- Move sddm theme to upstream branding subpackage, so we can have
  branded sddm theme (boo#950796)
* Fri Oct 16 2015 hrvoje.senjan@gmail.com
- Let XEmbed icons appear in plasma, i.e. require xembed-sni-proxy
  package (boo#913339)
* Mon Oct  5 2015 alarrosa@suse.com
- Add fix-wayland-requirement.patch that reduces the requirement
  of wayland 1.3 in CMakeLists.txt to 1.2 for SLE12 since the 1.2
  version in SLE12 is patched to include the needed features from 1.3
* Sun Oct  4 2015 hrvoje.senjan@gmail.com
- Update to 5.4.2:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.2.php
- Drop fix-logout-button-sizing.patch, upstreamed
* Wed Sep 16 2015 lbeltrame@kde.org
- Add fix-logout-button-sizing.patch: Upstream fix to ensure that
  logout/shutdown and cancel buttons on the logout screen have
  all the same size.
* Thu Sep 10 2015 hrvoje.senjan@gmail.com
- Update to 5.4.1:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.1.php
* Tue Sep  8 2015 wbauer@tmo.at
- Add an explicit conflict with kio-extras5 < 15.08.0. Some files
  from kio-extras5 have been moved to plasma5-workspace in 5.4,
  this should prevent a possible file conflict. (boo#944656)
* Mon Aug 24 2015 hrvoje.senjan@gmail.com
- Update to 5.4.0:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.0.php
* Sun Aug 16 2015 hrvoje.senjan@gmail.com
- Update to 5.3.95 aka 5.4 beta:
  This release of Plasma brings many nice touches for our users
  such as much improved high DPI support, KRunner auto-completion
  and many new beautiful Breeze icons. It also lays the ground for
  the future with a tech preview of Wayland session available.
  We're shipping a few new components such as an Audio Volume
  Plasma Widget, monitor calibration tool and the User Manager
  tool comes out beta.
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.95.php
- Drop 0003-Remove-export-of-QT_PLUGIN_PATH.patch, upstreamed
* Wed Aug  5 2015 hrvoje.senjan@gmail.com
- Added patches from upstream to resolve baloo SiC in 5.13.0:
  use-the-filepath-as-the-unique-id-of-the-match.patch and
  Baloo-Result-header-is-no-longer-installed.patch
* Sun Jun 28 2015 hrvoje.senjan@gmail.com
- Update to 5.3.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.2.php
- Drop patches merged upstream:
  0001-Bugzilla-Integration-Look-for-the-mappings-file-in-t.patch
  0002-Reuse-the-existing-Notify-method-for-Notification-s-.patch
  0003-notifications-Make-sure-the-Open.-button-on-finished.patch
  0004-notifications-Optimize-sending-the-notification-data.patch
  0005-Fix-launcher-sorting-the-by-activity-sorting-strateg.patch
  0001-Unbreak-Undo-notifications-on-Plasmoid-removal.patch
* Wed Jun 10 2015 hrvoje.senjan@gmail.com
- Use %%version instead of no longer existing %%{_plasma5_branding_version}
  for branding provides/requires
* Thu May 28 2015 hrvoje.senjan@gmail.com
- Added patches from upstream:
  0001-Bugzilla-Integration-Look-for-the-mappings-file-in-t.patch
  0002-Reuse-the-existing-Notify-method-for-Notification-s-.patch
  (kde#342605)
  0003-notifications-Make-sure-the-Open.-button-on-finished.patch
  0004-notifications-Optimize-sending-the-notification-data.patch
  0005-Fix-launcher-sorting-the-by-activity-sorting-strateg.patch
  (kde#348324)
  0001-Unbreak-Undo-notifications-on-Plasmoid-removal.patch
  (kde#345149)
* Fri May 22 2015 hrvoje.senjan@gmail.com
- Update to 5.3.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.1.php
- Drop patches merged upstream:
  0001-Disable-indeterminate-animation-for-suspended-jobs.patch
  0003-notifications-Replace-apos-with-as-apos-is-not-suppo.patch
  0004-Match-window-switch-dialog-borders-with-addwidgets-s.patch
  0005-Manually-keep-track-of-jobs-sources.patch
  0006-Fix-running-applet-calculation.patch
  0008-Only-restart-Timer-when-the-dialog-is-visible.patch
  0009-check-for-model-existence.patch
  0010-Fix-a-crash-in-PowermanagementEngine-populateApplica.patch
  0011-notifications-Always-check-first-if-the-dispatch-tim.patch
  0012-notifications-Clear-notification-from-show-queue-if-.patch
* Sun May 17 2015 hrvoje.senjan@gmail.com
- Require kscreen5, kactivities5 and kio-extras5 instead of just
  recommending, they are essential enough that all users have
  it installed
* Sat May  2 2015 hrvoje.senjan@gmail.com
- Added patches from upstream:
  0001-Disable-indeterminate-animation-for-suspended-jobs.patch,
  0003-notifications-Replace-apos-with-as-apos-is-not-suppo.patch
  (kde#346710),
  0004-Match-window-switch-dialog-borders-with-addwidgets-s.patch
  (kde#345614),
  0005-Manually-keep-track-of-jobs-sources.patch (kde#346673),
  0006-Fix-running-applet-calculation.patch,
  0008-Only-restart-Timer-when-the-dialog-is-visible.patch,
  0009-check-for-model-existence.patch (kde#346870),
  0010-Fix-a-crash-in-PowermanagementEngine-populateApplica.patch,
  0011-notifications-Always-check-first-if-the-dispatch-tim.patch
  and 0012-notifications-Clear-notification-from-show-queue-if-.patch
  (kde#342605)
* Thu Apr 23 2015 hrvoje.senjan@gmail.com
- Update to 5.3 Final:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.0.php
- Drop 0001-delete-the-views-before-containments.patch, merged upstream
- Only conflict with kdebase4-workspace < 5.3.0
* Sat Apr 11 2015 hrvoje.senjan@gmail.com
- Update to 5.2.95 aka 5.3 beta:
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.95.php
- Update required Qt version to 5.4.0
- Update required KF5 version to 5.8.0
- Added kxmlrpcclient5-devel, libKF5NetworkManagerQt-devel and
  pkgconfig(xi) BuildRequires
- Added 0001-delete-the-views-before-containments.patch from upstream,
  (kde#345758)
- Drop patches merged upstream:
  0001-Fix-one-pixel-gap-between-screenedge-and-right-place.patch
  and 0001-Workaround-the-lockscreen-password-field-focus-issue.patch
* Fri Mar 27 2015 hrvoje.senjan@gmail.com
- Added 0001-Fix-one-pixel-gap-between-screenedge-and-right-place.patch
  (kde#339323, kde#340549, boo#924074)
* Wed Mar 25 2015 hrvoje.senjan@gmail.com
- Add 0001-Workaround-the-lockscreen-password-field-focus-issue.patch
  (kde#344823)
* Thu Mar 19 2015 hrvoje.senjan@gmail.com
- Update to 5.2.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.2.php
- Drop patches merged upstream:
  0001-digital-clock-Invert-the-JS-timezone-offset-values.patch,
  0002-Set-aboutData-for-plasmashell.patch,
  0005-lookandfeel-Make-sure-the-OSD-is-not-bigger-than-1-3.patch,
  0006-Add-missing-import.patch,
  0007-Don-t-set-mode-here-otherwise-default-will-not-work.patch,
  0009-libtaskmanager-Use-the-icon-loaded-from-config-file-.patch,
  0010-Take-Shown-and-Hidden-status-in-account-when-showing.patch,
  0011-Fix-displaying-label1-in-job-notifications.patch and
  0012-Show-pause-stop-buttons-in-jobs-notification-only-fo.patch
* Thu Mar 19 2015 hrvoje.senjan@gmail.com
- Add pkgconfig(libqalculate) BuildRequires
* Fri Mar 13 2015 hrvoje.senjan@gmail.com
- Add patches from upstream:
  0001-digital-clock-Invert-the-JS-timezone-offset-values.patch,
  0002-Set-aboutData-for-plasmashell.patch,
  0005-lookandfeel-Make-sure-the-OSD-is-not-bigger-than-1-3.patch,
  0006-Add-missing-import.patch,
  0007-Don-t-set-mode-here-otherwise-default-will-not-work.patch
  (kde#344701),
  0009-libtaskmanager-Use-the-icon-loaded-from-config-file-.patch,
  0010-Take-Shown-and-Hidden-status-in-account-when-showing.patch
  (kde#344795),
  0011-Fix-displaying-label1-in-job-notifications.patch and
  0012-Show-pause-stop-buttons-in-jobs-notification-only-fo.patch
* Fri Feb 20 2015 hrvoje.senjan@gmail.com
- Update to 5.2.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.1.php
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Added kglobalaccel-devel BuildRequires
- kglobalaccel5 daemon moved to kglobalaccel Framework
* Mon Jan 26 2015 hrvoje.senjan@gmail.com
- Update to 5.2 Final:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.0.php
* Tue Jan 13 2015 hrvoje.senjan@gmail.com
- Update to 5.2 Beta aka 5.1.95:
  * Undo changes to Plasma desktop layout
  * Smarter sorting of results in KRunner
  * Breeze window decoration theme adds a new look to your
    desktop and is now used by default
  * New white mouse cursor theme for Breeze.
  * New plasma widgets: 15 puzzle, web browser, show desktop
  * Over 300 bugs fixed throughout Plasma modules.
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.95.php
  * Use the correct path for ksyncdbusenv, boo#912565
- Harden external libs requires for the libs subpackage
- Use exact version for plasma5-workspace-libs Requires
- Bump KF5 Requires to 5.6.0
- Bump (Build)Requires of other Plasma 5 components to same version
- Add wayland-devel BuildRequires
- Drop no longer relevant obsoletes
- Require oxygen5-sounds, boo#912317
- Drop 0001-LocationRunner-Convert-case-insensitive-path-to-a-pr.patch
  and 0002-Baloo-Runner-Lower-relevance-because-krunner-does-no.patch,
  merged upstream
* Thu Dec 11 2014 hrvoje.senjan@gmail.com
- Update to 5.1.2:
  * Bugfix release
  * Make the OSD timeout shorter
  * Fix ui files
  * Fix lockscreen theme fallback
  * Add the next wallpaper action when necessary, kde#341089
  * Revert i18n changes cherry-picked from master
  * Only play indeterminate animation when plasmoid is expanded
  * Refactor JobDelegate
  * Don't leave a gap when label1 is not visible
  * Don't emit a Job finished notification if the message
    would be empty
  * Finish cleanup and remove unused config.ui remnant
  * When no percentage is exposed over the dataengine make the
    progress bar indeterminate
  * Cleanup Jobs code and remove dead code
  * Alleviate the annoyance of Job Finished notifications, kde#340068
  * Escape ampersands in notifications
  * Replace \n with
  * Fix dialog minimum height (always add the margins afterwards),
    kde#341218
  * Also take the title label into account when calculating
    the dialog size
  * Enforce StyledText in notifications
  * Hide popup when opening configure dialog
  * Fix notification configure button
  * Fix binding loops and make popup even more compact
  * Cleanup Loaders
  * Cleanup Notifications code
  * Move duplicated code from NotificationDelegate and
    NotificationPopup into a new NotificationItem
  * Make sure lock screen package name does not overlap
    highlight rectangle
  * Actually save the kscreensaver config
  * fix resetting and reverting to default values
  * Fix qml warnings in splash kcm
  * Separator for Keywords is ;
  * Hopefully fix shell resizing in VirtualBox
  * Take into account the primary screen can be redundant
  * Delayed primaryOutput processing needs to be delayed
  * Also set minHeight in vertical panels. kde#340896
  * Fix and future-proof security in Dr Konqi. kde#337742
  * Fix hiding the SNI when avail space goes up again
  * Make the SNI just Active when free space raised
  * Find messages in QML as well
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.2.php
- Drop 0001-BUG-337742-REVIEW-120431.-Fix-and-future-proof-secur.patch,
  merged upstream
* Wed Nov 12 2014 hrvoje.senjan@gmail.com
- Added 0001-BUG-337742-REVIEW-120431.-Fix-and-future-proof-secur.patch
  from upstream (kde#337742)
* Thu Nov  6 2014 hrvoje.senjan@gmail.com
- Update to 5.1.1:
  * Bugfix release
  * Panel jumps around less when resizing/controlling
    (kde#339207, kde#337382)
  * Redeclare missing properties from Containment, kde#337743
  * Make apply button work correctly, kde#339946
  * Remove bypasswindowmanagerhint, kde#339848
  * Signal availableScreenRectChanged on type change, kde#339412
  * Create the corona on heap, kde#340191
  * Remove shutdown option from screen locker, kde#339453
  * Remove uneeded code to stop alt+f4 killing the window,
    kde#338360
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.1.php
* Wed Oct 22 2014 hrvoje.senjan@gmail.com
- Added
  0001-LocationRunner-Convert-case-insensitive-path-to-a-pr.patch (kde#333395)
  and 0002-Baloo-Runner-Lower-relevance-because-krunner-does-no.patch,
  make sure that applications are shown as top results in krunner
- Recommend lang subpackage
- Relax dependancies to plasma-framework private parts, and fix
  a blip moment, typo in package name
* Thu Oct  9 2014 hrvoje.senjan@gmail.com
- Update to 5.1 Final:
  * Bugfixes since RC1
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.0.php
- Drop 0002-Fix-NotificationPopup-size.patch,
  0001-take-the-proper-default-at-first-start.patch and
  0004-Show-application-title-if-Status-Notifier-Item-does-.patch,
  merged upstream
- Hardcode versions of plasma-framework-componets and
  plasma-framework-private packages, as upstream doesn't
  keep backwards compability there
* Fri Sep 26 2014 hrvoje.senjan@gmail.com
- Update to 5.0.95:
  * No changes since previous snapshot
- Install translations
- Add rpmlintrc file for file-not-in-%%lang warnings: we don't use
  find_lang macro as it doesn't searches in subdirectories
- Swap wallpaper.diff for 0001-take-the-proper-default-at-first-start.patch
  it is a simpler solution (kde#339216, kde#339414)
- Add 0002-Fix-NotificationPopup-size.patch: fixes notifications
  with latest plasma-framework
- Add 0004-Show-application-title-if-Status-Notifier-Item-does-.patch:
  show the application name and icon if none is given. kde#337710
* Tue Sep 23 2014 hrvoje.senjan@gmail.com
- Create upstream-branding subpackage, empty for now
- Update to 5.0.95~git20140925 (rdfc15d5):
  * Improvements to notifications applet
  * Honor settings of look-and-feel package (needed for openSUSE
    branding)
  * Add timezone support to digital clock
- Add wallpaper.diff to resolve kde#339216
* Thu Sep 11 2014 hrvoje.senjan@gmail.com
- Update to 5.0.95~git20140911 (r93ed2cb):
  * Allow to swap plasmoids via alternatives system
  * Introduction of 'Look and Feel' packages: allows users to change
    outlook of entire desktop in a single place
  * Various other bugfixes, improvements and cleanups
- Split shared libraries into libs subpackage
- Added 0003-Remove-export-of-QT_PLUGIN_PATH.patch: we install
  plugins to directory known to Qt5, so export just pollutes
  both Qt4 and Qt5 plugins
- Recommend sni-qt
- Add baselibs.conf
- Don't install libKF5XmlRpcClientPrivate, as it's a private lib
* Fri Aug 22 2014 hrvoje.senjan@gmail.com
- Split out kglobalaccel to a kglobalaccel5 package (so default
  shortcuts work outside Plasma session)
- Require libkscreen2-plugin
- Added create_kdehome.patch and pass -DKDE_DEFAULT_HOME=.kde4 so
  kde4breeze kconf script can apply kde4 settings succesfully,
  kde#338422
* Fri Aug  8 2014 hrvoje.senjan@gmail.com
- Update to 5.0.1
  * Bugfix release, translation and accessibility fixes
  * Translation updates
* Tue Aug  5 2014 hrvoje.senjan@gmail.com
- Add frameworkintegration-plugin Requires
- Split out drkonqi to a separate drkonqi5 package (useful for those
  that want to get backtrace w/o Workspace installed)
* Thu Jul 24 2014 hrvoje.senjan@gmail.com
- Update to 5.0.1~20140724-3ba9875 snapshot
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Plasma 5.0 Final
- Rename package to plasma5-workspace
* Sun Jul  6 2014 cgiboudeaux@gmx.com
- Add 0001-Rename-qdbus-in-startkde.patch
  The qdbus executable is called qdbus-qt5 in the libqt5-qttools package.
  This patch ensures we don't try to use the Qt4 executable.
* Thu Jul  3 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * Plasma 5 RC release
- Drop e79b769.patch and rename_1.diff, merged upstream
* Thu Jun  5 2014 hrvoje.senjan@gmail.com
- Activate plasma-workspace5 package
